Wireless connection frequently drops [deauthenticating by local choice (reason=3)]

Reported by joshuadugie on 2010-03-26
884
This bug affects 191 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
Debian
Confirmed
Undecided
Unassigned
Fedora
Unknown
Unknown
linux (Arch Linux)
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by Rasmus
Nominated for Maverick by Alexander Luksep
linux (openSUSE)
New
Undecided
Unassigned
wpasupplicant (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Rasmus
Nominated for Maverick by Alexander Luksep

Bug Description

Since about 8.04 or 8.10, perhaps when Ubuntu switched over to NetworkManager, my wireless connection has randomly dropped its association with the access point, about every ten minutes. For a while, the connection will just die, then it will be detected and NetworkManager will re-authenticate and re-associate.

In Lucid Lynx, this problem is now much more frequent (often exactly every two or four minutes) and now Ubuntu does not report that the connection has dropped. Instead, it re-associates in the background, eventually connecting to the access point again, all behind the scenes. Thus, the only thing that has changed, aside from the greater frequency, is that Ubuntu now doesn't report that it has dropped the connection, which seems deceptive from previous versions.

This may be the same bug as bug 429035, but my dmesg output is a bit different. This problem occurs primarily on a WPA2 Enterprise network, but the problem has occurred on other network security configurations as well.

dmesg output after many instances of disconnects:

[ 5423.541343] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5425.134984] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5425.174916] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 5425.177083] wlan0: direct probe responded
[ 5425.177087] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
[ 5425.179379] wlan0: authenticated
[ 5425.179399] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
[ 5425.182881] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=68)
[ 5425.182884] wlan0: associated
[ 5437.562165] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:17:bd:41 tid = 0
[ 5480.893417] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5482.475859] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5482.515034] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 5482.517187] wlan0: direct probe responded
[ 5482.517190] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
[ 5482.518636] wlan0: authenticated
[ 5482.518651] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
[ 5482.522378] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=68)
[ 5482.522381] wlan0: associated
[ 5508.093339] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5508.107358] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 5508.107412] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5508.110595] wlan0: direct probe to AP 00:26:cb:16:e8:d1 (try 1)
[ 5508.113114] wlan0: direct probe responded
[ 5508.113123] wlan0: authenticate with AP 00:26:cb:16:e8:d1 (try 1)
[ 5508.115392] wlan0: authenticated
[ 5508.121973] wlan0: associate with AP 00:26:cb:16:e8:d1 (try 1)
[ 5508.127254] wlan0: RX AssocResp from 00:26:cb:16:e8:d1 (capab=0x431 status=0 aid=16)
[ 5508.127262] wlan0: associated
[ 5525.110100] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:16:e8:d1 tid = 0
[ 5546.029401] wlan0: deauthenticating from 00:26:cb:16:e8:d1 by local choice (reason=3)
[ 5546.042276] wlan0: direct probe to AP 00:26:cb:16:e8:d1 (try 1)
[ 5546.042311] wlan0: deauthenticating from 00:26:cb:16:e8:d1 by local choice (reason=3)
[ 5546.045656] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 5546.048069] wlan0: direct probe responded
[ 5546.048077] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
[ 5546.049864] wlan0: authenticated
[ 5546.077267] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
[ 5546.080885] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=79)
[ 5546.080888] wlan0: associated
[ 5562.875489] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:17:bd:41 tid = 0
[ 5571.881150] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5571.928466] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5571.967725] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 5571.969866] wlan0: direct probe responded
[ 5571.969870] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
[ 5571.971428] wlan0: authenticated
[ 5571.971446] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
[ 5571.974650] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=79)
[ 5571.974658] wlan0: associated
[ 5579.266995] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:17:bd:41 tid = 0
[ 5674.773488] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5674.815768] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5674.855855] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 5674.858186] wlan0: direct probe responded
[ 5674.858195] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
[ 5674.859768] wlan0: authenticated
[ 5674.859811] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
[ 5674.863242] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=79)
[ 5674.863249] wlan0: associated
[ 5693.936473] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:17:bd:41 tid = 0
[ 5871.177501] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5872.845146] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 5872.884514] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 5872.886671] wlan0: direct probe responded
[ 5872.886679] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
[ 5872.888855] wlan0: authenticated
[ 5872.888902] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
[ 5872.892134] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=79)
[ 5872.892142] wlan0: associated
[ 6091.564428] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:17:bd:41 tid = 0
[ 6122.697260] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 6124.304877] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 6124.344923] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 6124.347041] wlan0: direct probe responded
[ 6124.347043] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
[ 6124.348599] wlan0: authenticated
[ 6124.348624] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
[ 6124.352604] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=79)
[ 6124.352609] wlan0: associated
[ 6129.588373] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:17:bd:41 tid = 0
[ 6246.053521] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 6246.089232] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
[ 6246.129301] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
[ 6246.131530] wlan0: direct probe responded
[ 6246.131540] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
[ 6246.133188] wlan0: authenticated
[ 6246.133229] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
[ 6246.136579] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=79)
[ 6246.136586] wlan0: associated

tags: added: kernel-series-unknown
Nirav Patel (nrpatel) wrote :

I'm seeing this as well in: 2.6.32-17-generic #26-Ubuntu SMP Sat Mar 20 02:23:45 UTC 2010 x86_64 GNU/Linux

Peter Antoniac (pan1nx) wrote :

Thank you for helping and reporting this. However, we need extra information to aid in finding the solution:
Is this solved with the new kernel? 2.6.31-20. Does the new backport modules help?

Thank you!

Changed in linux (Ubuntu):
status: New → Incomplete
joshuadugie (joshuadugie) wrote :

It appears the new kernel (2.6.32-18-generic) does fix the problem. Thank you!

dmesg output:

[ 30.092151] wlan0: no IPv6 routers present
[ 58.292308] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:a0:a3:f1 tid = 0
[ 59.720079] wlan0: deauthenticating from 00:26:cb:a0:a3:f1 by local choice (reason=3)
[ 59.733311] wlan0: direct probe to AP 00:26:cb:a0:a3:f1 (try 1)
[ 59.733318] wlan0: deauthenticating from 00:26:cb:a0:a3:f1 by local choice (reason=3)
[ 59.741022] wlan0: direct probe to AP 00:26:cb:a0:a3:fe (try 1)
[ 59.940041] wlan0: direct probe to AP 00:26:cb:a0:a3:fe (try 2)
[ 59.940858] wlan0: direct probe responded
[ 59.940861] wlan0: authenticate with AP 00:26:cb:a0:a3:fe (try 1)
[ 59.941439] wlan0: authenticated
[ 59.941457] wlan0: associate with AP 00:26:cb:a0:a3:fe (try 1)
[ 59.943285] wlan0: RX AssocResp from 00:26:cb:a0:a3:fe (capab=0x11 status=0 aid=8)
[ 59.943287] wlan0: associated
[ 67.519961] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:a0:a3:fe tid = 0
[ 108.432059] CE: hpet increasing min_delta_ns to 15000 nsec
[ 159.753388] wlan0: deauthenticating from 00:26:cb:a0:a3:fe by local choice (reason=3)
[ 159.766434] wlan0: deauthenticating from 00:26:cb:a0:a3:fe by local choice (reason=3)
[ 159.772078] wlan0: direct probe to AP 00:26:cb:a0:a3:f1 (try 1)
[ 159.776701] wlan0: direct probe responded
[ 159.776708] wlan0: authenticate with AP 00:26:cb:a0:a3:f1 (try 1)
[ 159.778191] wlan0: authenticated
[ 159.801433] wlan0: associate with AP 00:26:cb:a0:a3:f1 (try 1)
[ 159.804965] wlan0: RX AssocResp from 00:26:cb:a0:a3:f1 (capab=0x431 status=0 aid=82)
[ 159.804971] wlan0: associated
[ 194.378493] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:a0:a3:f1 tid = 0
[ 410.835396] CE: hpet increasing min_delta_ns to 22500 nsec
   -- end --

(I am currently at [3000.000000] right now with no problems.)

zbenjamin (zeller-benjamin) wrote :
Download full text (24.3 KiB)

I'm seeing this problem too on kernel with WPA2 security (no enterprise):
Linux version 2.6.31-20-generic

My network card is: Network controller: Intel Corporation PRO/Wireless 5300 AGN [Shiloh] Network Connection

My wpa_supplicant.conf:

ctrl_interface=/var/run/wpa_supplicant
eapol_version=1
ap_scan=2

network={
        ssid="WLAN-1AFE02"
        psk=<some very long hexvalue>
        scan_ssid=1
        proto=RSN
        key_mgmt=WPA-PSK
        pairwise=CCMP
        group=TKIP
}

From dmesg:

[ 4539.906494] wlan0: associate with AP 00:1a:2a:1a:fe:0c (try 1)
[ 4539.923039] wlan0: RX AssocResp from 00:1a:2a:1a:fe:0c (capab=0x431 status=0 aid=1)
[ 4539.923042] wlan0: associated
[ 4545.020065] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=17)
[ 4545.020140] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=3)
[ 4545.060811] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=3)
[ 4545.061325] wlan0: direct probe to AP 00:1a:2a:1a:fe:0c (try 1)
[ 4545.075888] wlan0: direct probe responded
[ 4545.075892] wlan0: authenticate with AP 00:1a:2a:1a:fe:0c (try 1)
[ 4545.082269] wlan0: authenticated
[ 4545.082286] wlan0: associate with AP 00:1a:2a:1a:fe:0c (try 1)
[ 4545.096930] wlan0: RX AssocResp from 00:1a:2a:1a:fe:0c (capab=0x431 status=0 aid=1)
[ 4545.096939] wlan0: associated
[ 4550.200338] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=17)
[ 4550.200388] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=3)
[ 4550.201765] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=3)
[ 4550.201887] wlan0: direct probe to AP 00:1a:2a:1a:fe:0c (try 1)
[ 4550.216873] wlan0: direct probe responded
[ 4550.216884] wlan0: authenticate with AP 00:1a:2a:1a:fe:0c (try 1)
[ 4550.236229] wlan0: authenticated
[ 4550.241409] wlan0: associate with AP 00:1a:2a:1a:fe:0c (try 1)
[ 4550.259146] wlan0: RX AssocResp from 00:1a:2a:1a:fe:0c (capab=0x431 status=0 aid=1)
[ 4550.259151] wlan0: associated
[ 4555.360113] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=17)
[ 4555.360183] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=3)
[ 4555.361653] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=3)
[ 4555.361866] wlan0: direct probe to AP 00:1a:2a:1a:fe:0c (try 1)
[ 4555.376961] wlan0: direct probe responded
[ 4555.376969] wlan0: authenticate with AP 00:1a:2a:1a:fe:0c (try 1)
[ 4555.396347] wlan0: authenticated
[ 4555.398140] wlan0: associate with AP 00:1a:2a:1a:fe:0c (try 1)
[ 4555.419279] wlan0: RX AssocResp from 00:1a:2a:1a:fe:0c (capab=0x431 status=0 aid=1)
[ 4555.419282] wlan0: associated
[ 4560.520087] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=17)
[ 4560.520148] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=3)
[ 4560.560727] wlan0: deauthenticating from 00:1a:2a:1a:fe:0c by local choice (reason=3)
[ 4560.560879] wlan0: direct probe to AP 00:1a:2a:1a:fe:0c (try 1)
[ 4560.572550] wlan0: direct probe responded
[ 4560.572553] wlan0: authenticate with AP 00:1a:2a:1a:fe:0c (try 1)
[ 4560.582378] wlan0: authenticated
[ 4560.582407...

zbenjamin (zeller-benjamin) wrote :

I forgot to mention that the connection is dropping so fast, that i cannot even get a ip adress from DHCP.
Connection currently only works with WPA security.

zbenjamin (zeller-benjamin) wrote :

installing backport modules did NOT help

brott (gatorstudent20) wrote :
Download full text (5.1 KiB)

This happens for me as well on 10.04 beta.

uname -a
Linux home 2.6.32-19-generic #28-Ubuntu SMP Thu Apr 1 10:39:41 UTC 2010 x86_64 GNU/Linux

02:00.0 Network controller: Intel Corporation WiFi Link 1000 Series
 Subsystem: Intel Corporation Device 1315
 Flags: bus master, fast devsel, latency 0, IRQ 32
 Memory at d8500000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: <access denied>
 Kernel driver in use: iwlagn
 Kernel modules: iwlagn

Apr 6 05:03:15: [10804.881453] wlan0: deauthenticating from 94:0c:6d:a3:04:4c by local choice (reason=3)
Apr 6 05:03:15: [10808.075504] wlan0: deauthenticating from 94:0c:6d:a3:04:4c by local choice (reason=3)
Apr 6 05:03:15: [10808.113955] wlan0: direct probe to AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 05:03:15: [10808.119020] wlan0: direct probe responded
Apr 6 05:03:15: [10808.119027] wlan0: authenticate with AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 05:03:15: [10808.120810] wlan0: authenticated
Apr 6 05:03:15: [10808.120846] wlan0: associate with AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 05:03:15: [10808.125650] wlan0: RX AssocResp from 94:0c:6d:a3:04:4c (capab=0x431 status=0 aid=1)
Apr 6 05:03:15: [10808.125656] wlan0: associated
Apr 6 05:03:20: [10813.572329] iwlagn 0000:02:00.0: iwl_tx_agg_start on ra = 94:0c:6d:a3:04:4c tid = 0
Apr 6 07:04:17: [18069.891503] wlan0: deauthenticating from 94:0c:6d:a3:04:4c by local choice (reason=3)
Apr 6 07:04:20: [18073.245994] wlan0: deauthenticating from 94:0c:6d:a3:04:4c by local choice (reason=3)
Apr 6 07:04:20: [18073.284365] wlan0: direct probe to AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 07:04:20: [18073.289667] wlan0: direct probe responded
Apr 6 07:04:20: [18073.289675] wlan0: authenticate with AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 07:04:20: [18073.292273] wlan0: authenticated
Apr 6 07:04:20: [18073.292309] wlan0: associate with AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 07:04:20: [18073.296286] wlan0: RX AssocResp from 94:0c:6d:a3:04:4c (capab=0x431 status=0 aid=1)
Apr 6 07:04:20: [18073.296292] wlan0: associated
Apr 6 07:04:26: [18079.264965] iwlagn 0000:02:00.0: iwl_tx_agg_start on ra = 94:0c:6d:a3:04:4c tid = 0
Apr 6 09:05:24: [25336.891506] wlan0: deauthenticating from 94:0c:6d:a3:04:4c by local choice (reason=3)
Apr 6 09:05:27: [25340.167100] wlan0: deauthenticating from 94:0c:6d:a3:04:4c by local choice (reason=3)
Apr 6 09:05:27: [25340.205597] wlan0: direct probe to AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 09:05:27: [25340.210652] wlan0: direct probe responded
Apr 6 09:05:27: [25340.210660] wlan0: authenticate with AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 09:05:27: [25340.212411] wlan0: authenticated
Apr 6 09:05:27: [25340.212445] wlan0: associate with AP 94:0c:6d:a3:04:4c (try 1)
Apr 6 09:05:27: [25340.216437] wlan0: RX AssocResp from 94:0c:6d:a3:04:4c (capab=0x431 status=0 aid=1)
Apr 6 09:05:27: [25340.216443] wlan0: associated
Apr 6 09:05:33: [25345.964362] iwlagn 0000:02:00.0: iwl_tx_agg_start on ra = 94:0c:6d:a3:04:4c tid = 0
Apr 6 09:51:00: [28072.921485] wlan0: deauthenticating from 94:0c:6d:a3:04:4c by local choice (reason=3)
Apr 6 09:51:11: [28084.526146] Registered led device: iwl-phy0::radio
Apr 6 09:51:11: [28084.526181] Registered led device: iwl-ph...

Read more...

ftavares (fptavares) wrote :
Download full text (6.3 KiB)

I also get the same behaviour in both 2.6.31-20 and 2.6.32-19 kernels.

On a laptop with 2.6.31-20:

[ 73.697011] wlan0: direct probe to AP 00:1f:9f:c8:a0:e3 (try 1)
[ 73.892121] wlan0: direct probe to AP 00:1f:9f:c8:a0:e3 (try 2)
[ 73.896839] wlan0: direct probe responded
[ 73.896854] wlan0: authenticate with AP 00:1f:9f:c8:a0:e3 (try 1)
[ 73.898832] wlan0: authenticated
[ 73.898905] wlan0: associate with AP 00:1f:9f:c8:a0:e3 (try 1)
[ 73.901988] wlan0: RX AssocResp from 00:1f:9f:c8:a0:e3 (capab=0x431 status=0 aid=1)
[ 73.902001] wlan0: associated
[ 83.917116] wlan0: deauthenticating from 00:1f:9f:c8:a0:e3 by local choice (reason=3)
[ 83.917269] wlan0: deauthenticating from 00:1f:9f:c8:a0:e3 by local choice (reason=3)
[ 84.118372] wlan0: deauthenticating from 00:1f:9f:c8:a0:e3 by local choice (reason=3)
[ 84.316952] wlan0: direct probe to AP 00:1f:9f:c8:a0:e3 (try 1)
[ 84.320994] wlan0: direct probe responded
[ 84.321029] wlan0: authenticate with AP 00:1f:9f:c8:a0:e3 (try 1)
[ 84.323019] wlan0: authenticated
[ 84.323087] wlan0: associate with AP 00:1f:9f:c8:a0:e3 (try 1)
[ 84.326075] wlan0: RX AssocResp from 00:1f:9f:c8:a0:e3 (capab=0x431 status=0 aid=1)
[ 84.326087] wlan0: associated
[ 94.337129] wlan0: deauthenticating from 00:1f:9f:c8:a0:e3 by local choice (reason=3)
[ 94.337332] wlan0: deauthenticating from 00:1f:9f:c8:a0:e3 by local choice (reason=3)
[ 94.542739] wlan0: deauthenticating from 00:1f:9f:c8:a0:e3 by local choice (reason=3)
[ 94.740991] wlan0: direct probe to AP 00:1f:9f:c8:a0:e3 (try 1)
[ 94.747058] wlan0: direct probe responded
[ 94.747069] wlan0: authenticate with AP 00:1f:9f:c8:a0:e3 (try 1)
[ 94.749555] wlan0: authenticated
[ 94.749626] wlan0: associate with AP 00:1f:9f:c8:a0:e3 (try 1)
[ 94.752787] wlan0: RX AssocResp from 00:1f:9f:c8:a0:e3 (capab=0x431 status=0 aid=1)
[ 94.752798] wlan0: associated
[ 104.764283] wlan0: deauthenticating from 00:1f:9f:c8:a0:e3 by local choice (reason=3) ...

Read more...

Brian Curtis (bcurtiswx) on 2010-04-13
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium
assignee: nobody → Ubuntu Kernel Network Team (ubuntu-kernel-network)
Brian Curtis (bcurtiswx) wrote :

Sorry, i hit enter by accident when looking at teams (figuring out which to contact). Wireless fail at its best. Fixed

Changed in linux (Ubuntu):
assignee: Ubuntu Kernel Network Team (ubuntu-kernel-network) → nobody
Eric Swanson (eswanson) wrote :

This issue is affecting me as well on 10.04 Beta, 2.6.32-21-generic x64. Any attempts to use other methods of connection (wicd, wpa_gui, etc) result in no connectivity at all. NM manages to connect intermittently but fails to remain connected.

Bug #425455 is probably similar, although not nearly as recent.

Mike Rose (psu89) wrote :

I also have this same issue on 10.04 beta, 2.6.32-21-generic. In fact, I have found wireless to be horrible in lucid. Not only does the connection drop and reconnect very frequently, sometimes it won't connect at all with dhcp. In that case, the essid gets mangled. I can get around that issue by manually assigning an address. I have never gotten wicd to connect at all, so am using network-manger. I hope this issues are resolved before the production release or there will be a lot of unhappy folks.

I just upgraded from karmic to lucid and wifi no longer works. It appears that wlan0 deauthenticates immediately after link becomes ready (reason=3)?, and after this DHCP times out.

Apr 27 21:34:15 yo kernel: [ 1355.137809] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Apr 27 21:34:15 yo kernel: [ 1355.137845] wlan0: direct probe to AP 00:1d:68:0b:2c:d2 (try 1)
Apr 27 21:34:15 yo kernel: [ 1355.162313] wlan0: direct probe responded
Apr 27 21:34:15 yo kernel: [ 1355.162317] wlan0: authenticate with AP 00:1d:68:0b:2c:d2 (try 1)
Apr 27 21:34:15 yo kernel: [ 1355.164139] wlan0: authenticated
Apr 27 21:34:15 yo wpa_supplicant[906]: No network configuration found for the current AP
Apr 27 21:34:15 yo kernel: [ 1355.164161] wlan0: associate with AP 00:1d:68:0b:2c:d2 (try 1)
Apr 27 21:34:15 yo kernel: [ 1355.167221] wlan0: RX AssocResp from 00:1d:68:0b:2c:d2 (capab=0x411 status=0 aid=2)
Apr 27 21:34:15 yo kernel: [ 1355.167225] wlan0: associated
Apr 27 21:34:15 yo kernel: [ 1355.167977] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Apr 27 21:34:15 yo kernel: [ 1355.168641] wlan0: deauthenticating from 00:1d:68:0b:2c:d2 by local choice (reason=3)
Apr 27 21:34:15 yo wpa_supplicant[906]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys

I found the source of my problem: network-manager had been re-installed on upgrade (I had previously uninstalled it) and it is somehow preventing ifup from working. "apt-get remove network-manager" fixed the issue for me - ifup works.

flyman (fleitman68) wrote :
Download full text (4.4 KiB)

Same Problem with Intel Corporation PRO/Wireless 3945ABG. (I have no problems in Karmic)

"Ubuntu does not report that the connection has dropped. Instead, it re-associates in the background"

Ubuntu Lucid 10.04
2.6.32-21-generic
Network-Manager

test@lucid:~/Desktop$ lspci -nnvv

0c:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection [8086:4222] (rev 02)
 Subsystem: Intel Corporation Device [8086:1020]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 28
 Region 0: Memory at f9fff000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: [c8] Power Management version 2
  Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
  Address: 00000000fee0300c Data: 41a9
 Capabilities: [e0] Express (v1) Legacy Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 unlimited
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <128ns, L1 <64us
   ClockPM+ Suprise- LLActRep- BwNot-
  LnkCtl: ASPM L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
 Capabilities: [100] Advanced Error Reporting <?>
 Capabilities: [140] Device Serial Number 23-0c-81-ff-ff-bf-1c-00
 Kernel driver in use: iwl3945
 Kernel modules: iwl3945

test@lucid:~$ dmesg | grep iwl3945

[ 620.633131] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.26ks
[ 620.633137] iwl3945: Copyright(c) 2003-2009 Intel Corporation
[ 620.633245] iwl3945 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 620.633266] iwl3945 0000:0c:00.0: setting latency timer to 64
[ 620.690117] iwl3945 0000:0c:00.0: Tunable channels: 11 802.11bg, 13 802.11a channels
[ 620.690122] iwl3945 0000:0c:00.0: Detected Intel Wireless WiFi Link 3945ABG
[ 620.690275] iwl3945 0000:0c:00.0: irq 28 for MSI/MSI-X
[ 620.702708] iwl3945 0000:0c:00.0: firmware: requesting iwlwifi-3945-2.ucode
[ 620.726686] iwl3945 0000:0c:00.0: loaded firmware version 15.32.2.9

test@lucid:~$ dmesg

[ 4887.102556] No probe response from AP 00:25:9c:41:67:1e after 500ms, disconnecting.
[ 4889.147057] wlan0: direct probe to AP 00:25:9c:41:67:1e (try 1)
[ 4889.149184] wlan0: direct probe responded
[ 4889.149192] wlan0: authenticate with AP 00:25:9c:41:67:1e (try 1)
[ 4889.151104] wlan0: authenticated
[ 4889.151240] wlan0: associate with AP 00:25:9c:41:67:1e (try 1)
[ 4889.154040] wlan0: RX AssocResp from 00:25:9c:41:67:1e (capab=0x431...

Read more...

mosteo (public-mosteo) wrote :

I too got broken wireless upon upgrade to lucid. It was an USB dongle using driver rt73usb. Simptoms were the same deauthenticating barrage of messages, and mangled essid.

Following the clue of a previous reporter, I saw that I too had network-manager installed, albeit I use wicd. Killing the process (sudo service network-manager stop) didn't work. Uninstalling the package, however, did it even without rebooting.

Tony Cox (tonycox01) wrote :

The wireless on my Dell Latitude D630 broke on upgrade. My wireless now continuously cycles between connection/disconnection. It is useless. I can't believe an upgrade broke something so important.

[ 15.352804] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.26ks
[ 15.352808] iwl3945: Copyright(c) 2003-2009 Intel Corporation
[ 15.352919] iwl3945 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 15.352934] iwl3945 0000:0c:00.0: setting latency timer to 64
[ 15.424670] iwl3945 0000:0c:00.0: Tunable channels: 13 802.11bg, 23 802.11a channels
[ 15.424673] iwl3945 0000:0c:00.0: Detected Intel Wireless WiFi Link 3945ABG

dmesg reports a continuous log like this:

[ 82.423839] wlan0: associated
[ 123.237033] No probe response from AP 00:1e:2a:17:6d:50 after 500ms, disconnecting.
[ 126.080032] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 1)
[ 126.281051] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 2)
[ 126.480282] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 3)
[ 126.680524] wlan0: direct probe to AP 00:1e:2a:17:6d:50 timed out
[ 137.036090] CE: hpet increasing min_delta_ns to 15000 nsec
[ 138.740934] wlan0: deauthenticating from 00:1e:2a:17:6d:50 by local choice (reason=3)
[ 138.742002] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 1)
[ 138.941065] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 2)
[ 139.140209] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 3)
[ 139.340144] wlan0: direct probe to AP 00:0f:b5:56:90:02 timed out
[ 146.437554] CE: hpet increasing min_delta_ns to 22500 nsec
[ 151.412680] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 1)
[ 151.612056] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 2)
[ 151.812258] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 3)
[ 152.012164] wlan0: direct probe to AP 00:0f:b5:56:90:02 timed out
[ 164.036568] wlan0: deauthenticating from 00:0f:b5:56:90:02 by local choice (reason=3)
[ 164.036756] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 1)
[ 164.236160] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 2)
[ 164.436298] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 3)
[ 164.637519] wlan0: direct probe to AP 00:1e:2a:17:6d:50 timed out
[ 176.678040] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 1)
[ 176.876179] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 2)
[ 177.076076] wlan0: direct probe to AP 00:1e:2a:17:6d:50 (try 3)
[ 177.276160] wlan0: direct probe to AP 00:1e:2a:17:6d:50 timed out
[ 189.357005] wlan0: deauthenticating from 00:1e:2a:17:6d:50 by local choice (reason=3)
[ 189.357540] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 1)
[ 189.556084] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 2)
[ 189.756182] wlan0: direct probe to AP 00:0f:b5:56:90:02 (try 3)
[ 189.956163] wlan0: direct probe to AP 00:0f:b5:56:90:02 timed out

Not sure how to fix this - above did not fix my connection.

Lanoxx (lanoxx) wrote :

[40374.113488] wlan0: direct probe responded
[40374.113495] wlan0: authenticate with AP 00:11:88:28:5e:ea (try 1)
[40374.114644] wlan0: authenticated
[40374.114690] wlan0: associate with AP 00:11:88:28:5e:ea (try 1)
[40374.118254] wlan0: RX AssocResp from 00:11:88:28:5e:ea (capab=0x11 status=0 aid=1)
[40374.118261] wlan0: associated
[40374.138517] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[40384.122611] wlan0: deauthenticating from 00:11:88:28:5e:ea by local choice (reason=3)
[40384.136814] wlan0: deauthenticating from 00:11:88:28:5e:ea by local choice (reason=3)
[40384.143364] wlan0: direct probe to AP 00:11:88:28:5e:e2 (try 1)
[40384.146195] wlan0: direct probe responded
[40384.146204] wlan0: authenticate with AP 00:11:88:28:5e:e2 (try 1)
[40384.148526] wlan0: authenticated
[40384.202992] wlan0: associate with AP 00:11:88:28:5e:e2 (try 1)
[40384.209155] wlan0: RX AssocResp from 00:11:88:28:5e:e2 (capab=0x411 status=0 aid=12)
[40384.209165] wlan0: associated
[40399.512687] wlan0: deauthenticating from 00:11:88:28:5e:e2 by local choice (reason=3)

I am experienceing this bug, its very annoying, here is the output of dmesg directly after I have lost connection, when it happends i am unable to reauthenticate until i either supend or toggle the killswitch once. Depending on my position this occures between every 20secs and a few minutes. Its only happens on a WPA2 Enterprise network.

sillyxone (sillyxone) wrote :

Confirm. Dell D630, Intel 4965AG. Everything was fine on Hardy until I installed Lucid. Don't have problem with unsecured or WPA1-Personal, only have problem with WPA2-Enterprise (PEAP, MSCHAP). I couldn't tell when it get disconnected, but I can use the Internet for about 30 seconds, then it takes about 15 seconds to connect to the servers again, but in the whole time there is no sign that the connection dropped (IP address stays the same the whole time). Same result for both NetworkManager and wicd.

I think this is a problem of iwlagn. I disabled iwlagn (blacklist it from modprobe), installed ndiswrapper and use a Windows XP driver, and it works fine (except ntos-wq keeps crunching CPU).

I'm currently on 2.6.32-22-generic.

Stardom (seth-tewebs) wrote :

Same problem here. Except for me if i go from hibernate it does this, but when i finally get internet connection it'll only disconnect once in a while. But getting it to connect in the first place is a pain, full of random button clicking (network disable/enable) and hope.

sillyxone (sillyxone) wrote :

Right after I commented above, I started Googling in a different direction and found this bug report in Red Hat (see comment #10):
https://bugzilla.redhat.com/show_bug.cgi?id=503983

Basically they said that the N-mode that was causing connection drops, so I added this line to /etc/modprobe.d/options.conf, and it works great then.
options iwlagn 11n_disable=1 11n_disable50=1

I've tested several times with that line enabled and disabled, with reboots in between, and confirm that it does fix the problem (I can reproduce the problem again any time by disabling that line). The network connections without that fix was reported as jumping between 0 and 130 Mb/s, whereas with that line enabled, the connection speed goes between 48-54 Mb/s.

I've only tested during the last hour with WPA2-Enterprise. If I won't report further then it works with my WPA1-personal network too.

Thomas (t-hartwig) wrote :

sillyxone wrote:
> Basically they said that the N-mode that was causing connection drops,
> so I added this line to /etc/modprobe.d/options.conf, and it works great then.
> options iwlagn 11n_disable=1 11n_disable50=1

 I can not confirm this is fixing it for me. I still have the problem when reloading the module with these options.

Mike Rose (psu89) wrote :

After a couple other folks said they had luck by getting rid of network-manager, I figured I'd give wicd another shot. I removed network manager, rebooted, manually configured a wired network, then installed wicd. I've been going on a few days now with no disconnects, so perhaps something is amiss with network-manager.

That being said, wicd doesn't seem to work 100% either in that it never shows me other wireless networks. When I first installed wicd, it showed me a list of wireless networks and I picked mine and put in my WPA passphrase. After rebooting, wicd kept prompting me for my password. I got around that by adding "exec wicd" to /etc/init/networking.conf. Wicd always connects to my network on reboot without issue, but if I try to scan for other networks, it says none are found. As long as it connects to my network, I'm okay, but it's still not right.

As a side note, as root if I do an iwlist scan, I get an error message about resource temporarily unavailable. If I do an iwlist scan as a non-root user, it returns my network, but no others.

At least I have a usable wireless connection now. I may go back now and try to build an old otusdriver, as the ar9170usb driver still doesn't support n speeds.

JamesH (jnahughes) wrote :
Download full text (3.3 KiB)

Me too I am afraid. Using Lucid, with a BlueNext BN-WD54g USB adapter (lsusb gives ...Ralink Technology, Corp. RT2501USB Wireless Adapter) . Used to work fine on all previous version (from about 6.x).

Behaviour is most odd. Just spent an hour trying to get it to work - different USB ports etc, redoing connection settings, rebooting router, different but same model adapter. Then plugged in a 3COM adapter to same port which started working straight away. Just for fun, I then plugged in the bluenext device as well - and it started working, and continued to work after the 3COM was removed. I then unplugged it, then plugged in to a different port and it kept working, so plugging in the 3COM seems to have kicked the system in to working! Like I said - odd!

Last chunk of dmsg..

[ 974.710436] rt73usb 3-5:1.0: firmware: requesting rt73.bin
[ 975.524474] ADDRCONF(NETDEV_UP): wlan2: link is not ready
[ 984.808547] wlan2: direct probe to AP 00:14:7c:b7:2e:00 (try 1)
[ 984.808619] wlan2: deauthenticating from 00:14:7c:b7:2e:00 by local choice (reason=3)
[ 984.808690] wlan2: direct probe to AP 00:14:7c:b7:2e:00 (try 1)
[ 984.810521] wlan2: direct probe responded
[ 984.810531] wlan2: authenticate with AP 00:14:7c:b7:2e:00 (try 1)
[ 984.815524] wlan2: authenticated
[ 984.815565] wlan2: associate with AP 00:14:7c:b7:2e:00 (try 1)
[ 984.818522] wlan2: RX AssocResp from 00:14:7c:b7:2e:00 (capab=0x431 status=0 aid=3)
[ 984.818530] wlan2: associated
[ 984.962032] ADDRCONF(NETDEV_CHANGE): wlan2: link becomes ready
[ 995.428041] wlan2: no IPv6 routers present
[ 1005.536078] No probe response from AP 00:14:7c:b7:2e:00 after 500ms, disconnecting.
[ 1099.084968] wlan2: direct probe to AP 00:14:7c:b7:2e:00 (try 1)
[ 1099.086989] wlan2: direct probe responded
[ 1099.086999] wlan2: authenticate with AP 00:14:7c:b7:2e:00 (try 1)
[ 1099.089984] wlan2: authenticated
[ 1099.090036] wlan2: associate with AP 00:14:7c:b7:2e:00 (try 1)
[ 1099.288079] wlan2: associate with AP 00:14:7c:b7:2e:00 (try 2)
[ 1099.488060] wlan2: associate with AP 00:14:7c:b7:2e:00 (try 3)
[ 1099.688083] wlan2: association with AP 00:14:7c:b7:2e:00 timed out
[ 1111.192101] wlan2: direct probe to AP 00:14:7c:b7:2e:00 (try 1)
[ 1111.194107] wlan2: direct probe responded
[ 1111.194117] wlan2: authenticate with AP 00:14:7c:b7:2e:00 (try 1)
[ 1111.196238] wlan2: authenticated
[ 1111.196280] wlan2: associate with AP 00:14:7c:b7:2e:00 (try 1)
[ 1111.199102] wlan2: RX AssocResp from 00:14:7c:b7:2e:00 (capab=0x431 status=0 aid=1)
[ 1111.199110] wlan2: associated
[ 1121.560081] wlan2: deauthenticating from 00:14:7c:b7:2e:00 by local choice (reason=3)
[ 1121.872543] wlan2: deauthenticating from 00:14:7c:b7:2e:00 by local choice (reason=3)
[ 1122.367385] wlan2: direct probe to AP 00:14:7c:b7:2e:00 (try 1)
[ 1122.396395] wlan2: direct probe responded
[ 1122.396406] wlan2: authenticate with AP 00:14:7c:b7:2e:00 (try 1)
[ 1122.596080] wlan2: authenticate with AP 00:14:7c:b7:2e:00 (try 2)
[ 1122.623348] wlan2: authenticated
[ 1122.623391] wlan2: associate with AP 00:14:7c:b7:2e:00 (try 1)
[ 1122.820069] wlan2: associate with AP 00:14:7c:b7:2e:00 (try 2)
[ 1123.020081] wlan2: associate with AP 00:14:7c:...

Read more...

Phil Ayres (ayres-phil) wrote :
Download full text (10.3 KiB)

Me too with a workaround (yes, I'm very happy!):

I'm on Lucid with with kernel 2.6.32-22-generic, running an Intel 5100 wifi card and iwlagn driver. I was getting the two minute 'no probe response' error like the bug creator (see my syslog below). I fixed it on my machine by disabling IPV6 in the kernel at boot time by adding

ipv6.disable=1

to my kernel boot line in grub, then doing a

sudo update-grub

My wifi has sped up incredibly (speedtest.net showed almost double what I was getting previously) and the annoying disassociation has stopped (now I can use Skype without 4 seconds of dropped packets and silence every 2 minutes).

No guarantees, and obviously if you depend on ipv6 you're kinda stuck, but maybe it will help somebody track down the issue.

Jun 1 09:38:17 consected-sv1-001 avahi-daemon[940]: last message repeated 2 times
Jun 1 09:38:17 consected-sv1-001 kernel: [328719.776028] No probe response from AP 00:14:6c:1b:93:2e after 500ms, disconnecting.
Jun 1 09:38:17 consected-sv1-001 wpa_supplicant[1123]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Jun 1 09:38:17 consected-sv1-001 NetworkManager: <info> (wlan0): supplicant connection state: completed -> disconnected
Jun 1 09:38:17 consected-sv1-001 NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Jun 1 09:38:20 consected-sv1-001 wpa_supplicant[1123]: WPS-AP-AVAILABLE
Jun 1 09:38:20 consected-sv1-001 wpa_supplicant[1123]: Trying to associate with 00:14:6c:1b:93:2e (SSID='homeoffice2a' freq=2462 MHz)
Jun 1 09:38:20 consected-sv1-001 NetworkManager: <info> (wlan0): supplicant connection state: scanning -> associating
Jun 1 09:38:20 consected-sv1-001 kernel: [328723.134249] wlan0: direct probe to AP 00:14:6c:1b:93:2e (try 1)
Jun 1 09:38:20 consected-sv1-001 kernel: [328723.136719] wlan0: direct probe responded
Jun 1 09:38:20 consected-sv1-001 kernel: [328723.136730] wlan0: authenticate with AP 00:14:6c:1b:93:2e (try 1)
Jun 1 09:38:20 consected-sv1-001 kernel: [328723.138572] wlan0: authenticated
Jun 1 09:38:20 consected-sv1-001 kernel: [328723.138633] wlan0: associate with AP 00:14:6c:1b:93:2e (try 1)
Jun 1 09:38:20 consected-sv1-001 wpa_supplicant[1123]: Associated with 00:14:6c:1b:93:2e
Jun 1 09:38:20 consected-sv1-001 kernel: [328723.141006] wlan0: RX AssocResp from 00:14:6c:1b:93:2e (capab=0x411 status=0 aid=1)
Jun 1 09:38:20 consected-sv1-001 kernel: [328723.141017] wlan0: associated
Jun 1 09:38:20 consected-sv1-001 NetworkManager: <info> (wlan0): supplicant connection state: associating -> associated
Jun 1 09:38:20 consected-sv1-001 NetworkManager: <info> (wlan0): supplicant connection state: associated -> 4-way handshake
Jun 1 09:38:20 consected-sv1-001 NetworkManager: <info> (wlan0): supplicant connection state: 4-way handshake -> group handshake
Jun 1 09:38:20 consected-sv1-001 wpa_supplicant[1123]: WPA: Key negotiation completed with 00:14:6c:1b:93:2e [PTK=TKIP GTK=TKIP]
Jun 1 09:38:20 consected-sv1-001 wpa_supplicant[1123]: CTRL-EVENT-CONNECTED - Connection to 00:14:6c:1b:93:2e completed (reauth) [id=0 id_str=]
Jun 1 09:38:20 consected-sv1-001 NetworkManager: <info> (wlan0): supplicant c...

Phil Ayres (ayres-phil) wrote :

Oh, just to finish my though, I'm on

WPA2 personal, with a NetGear router running at 11 / 54 Mbs (b or g). Network Manager seems fine. I never had any problems in the past with the wired LAN, and the Intel 5100 card is brand new, albeit offering a pretty puny signal strength compared to the netbook I have across the desk from it.

matt.wartell (matt-wartell+lp) wrote :

Confirming Phil Ayers workaround of disabling ipv6 apparently stopping the deauthentication and all its consequences.

$ uname -a
Linux flatguy.local 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux
$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=5ba98674-c456-438f-bb1c-b1d97f4e2415 ro ipv6.disable=1

System: Sony Vaio PCG-R505DL (with 1988.60 BogoMIPS of Power!!!)
Adapter: Belkin F5D8011v2000 via PCMCIA running rt2500-pci driver (Lucid default) with WPA-PSK2 and no NetworkManager

Prior to adding the workaround, the system was up but with no user activity for 3.9 hours in which syslog recorded 108 deauthentication events with a MTBF of 131 seconds. This was typical behavior over the last month whether associated with a D-Link DI-524 or Belkin F5D8231-4 v2 WAP (yes, I switched WAP/Routers trying to fix this). The affected machine quite literally had no other change except for the addition to /etc/default/grub, update-grub and reboot.

Since applying Mr. Ayers ipv6.disable=1 workaround, the wlan0 connection has remained associated with the WAP since boot, 1.5 hours ago, while beating upon it nearly continuously with netperf to a wired sink at a rate of 15Mbps.

Thanks, Phil!

matt.wartell (matt-wartell+lp) wrote :

Alas, I spoke too soon, but did get good data out of it.

For my report above (#26 https://bugs.launchpad.net/ubuntu/+source/linux/+bug/548992/comments/26) I had done the grub modification, reboot and testing remotely from a machine other than the troubled "flatguy". I was ssh'ed into flatguy in multiple sessions, running netperf and such, but the laptop itself was physically untouched. Since reboot, the console was running gdm waiting for a login.

After posting, I logged in on flatguy's console and logged six WiFi deauthentications in 17 minutes. However, this information does place the triggering event firmly in some user-space application.

Now I can stop groveling through the kernel WiFi stack and hunt through the Kubuntu XFCE start-up processes for the trigger. Sigh.

JamesH (jnahughes) wrote :

Further to my comment above, this is the content from end of /var/log/daemon.log. It appears to be timing out on a DHCP request. Since my AP hasn't changed in years, it must be a change at the Ubuntu end that has produced this issue. Since the last update, my workaround no longer works around, so am a bit stuck. I tried the disabling IPV6 on the command line but this hasn't helped.

Jun 15 20:33:27 james-desktop NetworkManager: <info> DHCP: device wlan0 state changed normal exit -> preinit
Jun 15 20:33:27 james-desktop dhclient: Listening on LPF/wlan0/00:21:27:c1:33:19
Jun 15 20:33:27 james-desktop dhclient: Sending on LPF/wlan0/00:21:27:c1:33:19
Jun 15 20:33:27 james-desktop dhclient: Sending on Socket/fallback
Jun 15 20:33:31 james-desktop dhclient: DHCPREQUEST of 192.168.1.3 on wlan0 to 255.255.255.255 port 67
Jun 15 20:33:53 james-desktop dhclient: last message repeated 2 times
Jun 15 20:33:53 james-desktop dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 5
Jun 15 20:33:58 james-desktop dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 7
Jun 15 20:34:05 james-desktop dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 14
Jun 15 20:34:13 james-desktop NetworkManager: <info> (wlan0): DHCP transaction took too long, stopping it.
Jun 15 20:34:13 james-desktop NetworkManager: <info> (wlan0): canceled DHCP transaction, dhcp client pid 2175
Jun 15 20:34:13 james-desktop NetworkManager: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Timeout) scheduled...
Jun 15 20:34:13 james-desktop NetworkManager: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Timeout) started...
Jun 15 20:34:13 james-desktop NetworkManager: <info> (wlan0): device state change: 7 -> 9 (reason 5)
Jun 15 20:34:13 james-desktop NetworkManager: <info> Activation (wlan0) failed for access point (JamesOne)
Jun 15 20:34:13 james-desktop NetworkManager: <info> Marking connection 'JamesOne' invalid.
Jun 15 20:34:13 james-desktop NetworkManager: <info> Activation (wlan0) failed.
Jun 15 20:34:13 james-desktop NetworkManager: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Timeout) complete.
Jun 15 20:34:13 james-desktop NetworkManager: <info> (wlan0): device state change: 9 -> 3 (reason 0)
Jun 15 20:34:13 james-desktop NetworkManager: <info> (wlan0): deactivating device (reason: 0).
Jun 15 20:34:13 james-desktop wpa_supplicant[1125]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys

Alvin Larson (alvinlarson) wrote :

Hello,

Apparently this old bug still exists. I recently installed Debian (5.0.4) Lenny on my AMD 64 bit computer. The kernel is 2.6.26-2-AMD6. I am having a lot of trouble with the wireless network going down and sometimes the applications start up very slowly and are unresponsive. I removed network-manager, as suggested on another post. This greatly improved performance but the problem hasn't gone away. I discovered that I could make the network go down by trying to install Amarok with the Synaptic Package Manager. The following is dmesg showing (1) the situation while in a normal run mode, (2) the line produced when the network went down during the Synaptic session and then (3) what it looks
like after recovery by ifdown and ifup.

INITIAL END OF DMESG FILE:

[ 4027.427162] wlan0: Initial auth_alg=0
[ 4027.427172] wlan0: authenticate with AP 00:0c:41:fc:ed:a0
[ 4027.427162] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 4027.428801] wlan0: RX authentication from 00:0c:41:fc:ed:a0 (alg=0 transaction=2 status=0)
[ 4027.428805] wlan0: authenticated
[ 4027.428808] wlan0: associate with AP 00:0c:41:fc:ed:a0
[ 4027.430783] wlan0: RX AssocResp from 00:0c:41:fc:ed:a0 (capab=0x401 status=0 aid=2)
[ 4027.430788] wlan0: associated
[ 4027.430803] wlan0: switched to short barker preamble (BSSID=00:0c:41:fc:ed:a0)
[ 4027.431386] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 4038.301775] wlan0: no IPv6 routers present

THIS IS WHERE I WAS TRYING TO INSTALL AMAROK WITH SYNAPTIC PACKAGE MANAGER. THE WIRELESS NETWORK DIED RIGHT HERE. FOLLOWING IS DMESG
AFTER THAT.

[ 7597.650723] wlan0: No ProbeResp from current AP 00:0c:41:fc:ed:a0 - assume out of range

THE FOLLOWING IS AFTER I RESTART WIRELESS WITH "ifdown wlan0" an "ifup wlan0".

FOLLOWING IS DMESG AFTER WIRELESS COMES BACK TO LIFE HERE.

[ 7863.634497] wlan0: Initial auth_alg=0
[ 7863.634506] wlan0: authenticate with AP 00:0c:41:fc:ed:a0
[ 7863.634497] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 7863.636536] wlan0: RX authentication from 00:0c:41:fc:ed:a0 (alg=0 transaction=2 status=0)
[ 7863.636540] wlan0: authenticated
[ 7863.636544] wlan0: associate with AP 00:0c:41:fc:ed:a0
[ 7863.638743] wlan0: RX AssocResp from 00:0c:41:fc:ed:a0 (capab=0x401 status=0 aid=2)
[ 7863.638748] wlan0: associated
[ 7863.638761] wlan0: switched to short barker preamble (BSSID=00:0c:41:fc:ed:a0)
[ 7863.639306] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 7873.792488] wlan0: no IPv6 routers present

I do hope this bug can be fixed. It makes Debian very difficult to use.

Al

JamesH (jnahughes) wrote :

Further investigation after my post here #28.

I am pretty sure this is a DHCP issue. If I am using DHCP, then I get the failures. If I define a static IP address, then things 'appear' to work OK. Still looking in to it, but certainly changing to static IP, the wireless link starts and stays up - on DHCP the link wouldn't even start up.

As said before, this adapter has worked fine on earlier version prior to Lynx.

tags: added: kernel-needs-review kernel-net lucid
removed: kernel-series-unknown
Changed in linux (Ubuntu):
status: Confirmed → Triaged
JamesH (jnahughes) wrote :

Just to confirm my previous post - moving to a static IP address has resolved all the problems I am seeing. Machine has connected and stayed up for 24hrs. Performance appears to be similar to conditions prior to the failure occurring (ie Lynx upgrade).

tags: added: kernel-reviewed
removed: kernel-needs-review
Dirk Eddelbuettel (edd) wrote :

Quick confirmation of post #13 -- I was seeing the infamous 'deauthenticating from .... by local choice' and running 'apt-get remove network-manager' fixed it. FWIW this was on my IBM/Lenovo X60 running Debian testing; the netbook running Kubuntu 10.4 is just fine. So a thanks! and tip of the hat to Chris Bainbridge for the hint!

quixote (commer-greenglim) wrote :

I seem to have this problem too on a Thinkpad X201s running 64-bit Lucid with all the updates, except that I'm currently using the 2.6.32.22 kernel. Wireless is dropped at some point, from hours to minutes, especially after coming out of suspend. Sometimes the connection is recovered once or twice, but usually it stays dropped until a reboot.

Just a side note for anyone who may not know exactly how to add the ipv6 line: open /etc/default/grub as sudo (eg sudo nano /etc/grub/default), and alter this line:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash ipv6.disable=1"

quixote (commer-greenglim) wrote :

I should add, the connection is dropped just the same under 2.6.32.23 kernel.

quixote (commer-greenglim) wrote :

Well, turning off ipv.6 at bootup hasn't worked for me. I tend to lose wireless after coming out of suspend, and that hasn't changed. What has helped is manually reassociating the Access Point, sometimes repeatedly. E.g. using the command: sudo iwconfig wlan0 ap 00:80:4D:99:D7:10 (Substitute your own wlan# and ap, which you can see by running iwconfig by itself.)

pidgas (pidgas) wrote :

I most certainly had/have this problem. Drove me crazy enough to perform a fresh install of Ubuntu Lucid 10.04 retaining only home directories. Was able to reconnect my way through to a fully updated installation with all the most recent updates/kernel (Linux 2.6.32-21-generic kernel) and no added packages. I continued to experience the problem (deauthenticating by local choice reason=3 followed by numerous reconnections and disconnections). I disabled ipv6 as described in this thread and rebooted - error persisted. I attempted to disable power management on my card, but my card does not support that setting. I installed wicd and removed network-manager and network-manager-gnome. I then rebooted. Wireless network now seems solid and I'm seeing none of the previous drops. Speed is fast and consistent - even with long periods between use (at least long enough that I would see the problem previously).

T61P (jennifertebbutt) wrote :
Download full text (15.2 KiB)

Running on Thinkpad T61p, kernel 2.6.32-24-generic (64bit) Network Manager seems to be bugged dropping speed to zero over Wifi (Intel 4965 AGN); Connection taking time to connect and then slowing to nothing despite previously working perfectly (but seeming to get worse on last 2 kernel updates) and appears to possibly effecting 3g (sierra wireless) (but may be vodaphone slowing connection (connection is not dropped but slowed progressively). Works fine on same machine with Karmic install (earlier Kernel).

Reboot solves the problem but only temporarily. Fixed dns IP improves the situation, but still rate drops to nothing. Disable IPv6 did not solve the problem (though seems to have speeded up connection times temporarily - but not as much as fixed DNS IP (cannot change manual instead of DHCP but I suspect this may help)

Dmesg
 wlan0: deauthenticating from 00:05:25:10:9d:56 by local choice (reason=3)
[ 29.993271] wlan0: direct probe to AP 00:05:25:10:9d:56 (try 1)
[ 30.190076] wlan0: direct probe to AP 00:05:25:10:9d:56 (try 2)
[ 30.390054] wlan0: direct probe to AP 00:05:25:10:9d:56 (try 3)
[ 30.590048] wlan0: direct probe to AP 00:05:25:10:9d:56 timed out
[ 49.407260] wlan0: direct probe to AP 00:05:25:10:9d:56 (try 1)
[ 49.410129] wlan0: direct probe responded
[ 49.410132] wlan0: authenticate with AP 00:05:25:10:9d:56 (try 1)
[ 49.411983] wlan0: authenticated
[ 49.411995] wlan0: associate with AP 00:05:25:10:9d:56 (try 1)
[ 49.414722] wlan0: RX AssocResp from 00:05:25:10:9d:56 (capab=0x411 status=0 aid=1)
[ 49.414724] wlan0: associated
[ 49.433332] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 53.022955] wlan0: deauthenticated from 00:05:25:10:9d:56 (Reason: 6)
[ 53.209457] wlan0: direct probe to AP 00:05:25:10:9d:56 (try 1)
[ 53.211857] wlan0: direct probe responded
[ 53.211859] wlan0: authenticate with AP 00:05:25:10:9d:56 (try 1)
[ 53.216615] wlan0: authenticated
[ 53.216640] wlan0: associate with AP 00:05:25:10:9d:56 (try 1)
[ 53.219224] wlan0: RX AssocResp from 00:05:25:10:9d:56 (capab=0x411 status=0 aid=1)
[ 53.219227] wlan0: associated
[ 65.030561] wlan0: deauthenticated from 00:05:25:10:9d:56 (Reason: 6)
[ 67.425221] wlan0: direct probe to AP 00:05:25:10:9d:56 (try 1)
[ 67.427605] wlan0: direct probe responded
[ 67.427608] wlan0: authenticate with AP 00:05:25:10:9d:56 (try 1)
[ 67.429485] wlan0: authenticated
[ 67.429501] wlan0: associate with AP 00:05:25:10:9d:56 (try 1)
[ 67.432394] wlan0: RX AssocResp from 00:05:25:10:9d:56 (capab=0x411 status=0 aid=1)
[ 67.432396] wlan0: associated
[ 73.026477] wlan0: deauthenticated from 00:05:25:10:9d:56 (Reason: 6)
[ 73.219549] wlan0: direct probe to AP 00:05:25:10:9d:56 (try 1)
[ 73.410082] wlan0: direct probe to AP 00:05:25:10:9d:56 (try 2)
[ 73.412661] wlan0: direct probe responded
[ 73.412663] wlan0: authenticate with AP 00:05:25:10:9d:56 (try 1)
[ 73.414485] wlan0: authenticated
[ 73.414495] wlan0: associate with AP 00:05:25:10:9d:56 (try 1)
[ 73.416965] wlan0: RX AssocResp from 00:05:25:10:9d:56 (capab=0x411 status=0 aid=1)
[ 73.416966] wlan0: associated
[ 78.024396] wlan0: deauthenticated from 00:05:25...

RDD (rdd37misc) wrote :

I just wanted to "second" that Chris Bainbridge's solution fixed the issue for me, as well:
'apt-get remove network-manager'

network-manager was apparently re-installed during a recent update; I had removed it previously.

This is on an IBM Thinkpad T30 with external (3rd party) USB wireless card; Ubuntu 10.04, 2.6.32-24-generic kernel.

Thanks for the information here.

gadbermd@yahoo.com (gadbermd) wrote :

This is also happening on my laptop after an upgrade from Karmic to Lucid. Symptoms are the exact same as reported by original poster. Laptop is a Dell Latitude D630 with Intel wireless running kernel 2.6.32-24-generic. Output from lspci:

0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
 Subsystem: Intel Corporation Device 1020
 Flags: bus master, fast devsel, latency 0, IRQ 28
 Memory at fe8ff000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: [c8] Power Management version 2
 Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
 Capabilities: [e0] Express Legacy Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting <?>
 Capabilities: [140] Device Serial Number ea-13-a2-ff-ff-3c-1f-00
 Kernel driver in use: iwl3945
 Kernel modules: iwl3945

I can confirm that the fix for me was also to remove network-manager and then install wicd in it's place. My wireless connections seem to be working now. I have to believe this bug is affecting a very large number of users.

Novastorm (novastorm87) wrote :
Download full text (23.6 KiB)

I'm getting the same issue as everyone else. However it seems that different access points at my university aren't affected. If i'm in the library I get this issue, see logs below, however when in another building, using the same wireless network, same authentication (WPA with TTLS/PAP) etc, I don't have any problems, good speed, good connection strength etc.

All AP's are Cisco branded, not sure what model (may be different in different buildings), all 802.11G, no 802.11N to my knowledge.

I don't have this problem when booted into Windows 7 (which is rare, lucid is fantastic).

Also worth noting, I've found that when the wireless drops, DNS appears to be the first thing to die. For example if I notice the wireless has died (when using Chromium say), then I open a terminal and try to ping a hostname, I get DNS resolution failures, but if I ping an IP address it works OK for another say 15 - 30 seconds.

LSPCI:
0c:00.0 Network controller: Intel Corporation PRO/Wireless 5300 AGN [Shiloh] Network Connection
 Subsystem: Intel Corporation Device 1121
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 31
 Region 0: Memory at f1ffe000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: [c8] Power Management version 3
  Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
  Address: 00000000fee0100c Data: 41c9
 Capabilities: [e0] Express (v1) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 unlimited
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <128ns, L1 <32us
   ClockPM+ Suprise- LLActRep- BwNot-
  LnkCtl: ASPM L0s L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
 Capabilities: [100] Advanced Error Reporting <?>
 Capabilities: [140] Device Serial Number 3e-3a-xx-xx-xx-xx-xx-xx
 Kernel driver in use: iwlagn
 Kernel modules: iwlagn

DMESG:
[ 91.796964] wlan0: direct probe to AP c4:7d:4f:4b:2f:bb (try 1)
[ 91.990304] wlan0: direct probe to AP c4:7d:4f:4b:2f:bb (try 2)
[ 91.991347] wlan0: direct probe responded
[ 91.991358] wlan0: authenticate with AP c4:7d:4f:4b:2f:bb (try 1)
[ 91.992161] wlan0: authenticated
[ 91.992210] wlan0: associate with AP c4:7d:4f:4b:2f:bb (try 1)
[ 91.994246] wlan0: RX AssocResp from c4:7d:4f:4b:2f:bb (capab=0x11 status=0 aid=1)
[ 91.994252] wlan0: associated
[ 102.040150] wlan0: deauthenticating from c4:7d:4f:4b:2f:bb by local choice (reason=3)
[ 102.087425...

J.L. (jl2001) wrote :

I fixed it removing network-manager (from http://ppa.launchpad.net/network-manager/trunk/ubuntu/ ) and use wicd
10.04 Linux *** 2.6.35-19-generic #25-Ubuntu SMP Wed Aug 25 02:12:44 UTC 2010 x86_64 GNU/Linux

David Jobet (david-jobet) wrote :

Same problem here on my VAIO laptop.
Kubuntu lucid, kernel 2.6.32-24-generic, module iwl3945.
Except I was getting deauthenticated with reason=15

Also removed network-manager, and it seems to have fixed my problem.

Everything was working fine with previous version (karmic ?).

don't need to remove network-manager jsut stop the service but basically the solution is the same.

Jairo (jairofsouza) wrote :

network-manager service is down and the problem stills... I didn't removed it.

leny (andrew-andrewlindley) wrote :

I had what I thought was this problem. However, I found that by resetting my AP the problem went away for a day or so (a Linksys WAG54GS). A month ago I changed ISP upgrading to an ADSL2 service and consequently installed a new router/AP (HUAWEI HG532). I've not had the problem appear since. I don't know if this is significant or not YMMV.

Evan Carroll (evancarroll) wrote :

So all this crap on this bug (45 posts), 43 people affected, and no one has an idea why Network Manager is causing this problem -- but everyone agrees it is Network Manager? I'm seeing the general response on this to be ipv6 is totally irrelevant and the problem is in userspace...

Hi,
Ubuntu 10.04 with dlink usb wifi key.
I tried various "solutions" posted here, all to no avail.
The wifi connection is droopped by NM because of a dhcp timeout (as demonstrated by daemon.log).
Assigning a static IP solved the issue.

Jef (ofthelit) wrote :

My wireless worked before, but then I got the error too. I'm using openSUSE 11.3.

The following solution worked for me:
http://forums.opensuse.org/english/get-help-here/wireless/442170-edimax-ew7717un-doesnt-want-work-11-3-part1.html#post2227064
"I removed the files in the folder /etc/NetworkManager/system-connections and NetworkManager could connect to my home network without disconnecting. Problem solved."

I guess it's a NetworkManager problem because manual connection always worked without a problem. I use an ipv6 sixxs tunnel.

Alexander Luksep (a-luksep) wrote :

So I'm having the same issue, but for me the issue has only appeared in busy wireless environments, for example at my university (using eduroam) during daytime where a connection will rarely be established and if it succeeds it'll drop within seconds. Booting Windows XP proves that the network and hardware is not at fault since the connection is then perfectly stable.

At home, where there are no other wireless networks within range (except my own), the connection is rock stable under both (x)ubuntu and winxp and is maintained without a single disconnect for hours and hours.

Will try changing network-manager for wicd and see if it has any effect, although my gut feeling is that the cause lies elsewhere.

Akkana Peck (akkzilla) wrote :

WPA2 home network, Lenovo X201, Intel 6000 (according to lshw), both /etc/network/interfaces and wicd were failing. Disabling NetworkManager fixed it. I didn't have to apt-get remove it (though I probably will now); I just moved aside /etc/init/network-manager.conf and /etc/init.d/network-manager and rebooted, and now wpa2 works fine from /etc/network/interfaces.

Alexander Luksep (a-luksep) wrote :

Tried uninstalling network-manager and instead installed wicd, with exactly the same results; connection is sometimes established but doesn't stay up more than at most a couple of minutes, usually seconds. This goes for both the encrypted eduroam and the open web-login network that's available.

Simply put, to me, this seems like the issue lies deeper than network-manager or wicd.

Currently writing this on winxp on the very same network, yet again confirming that network & hardware are not the issue.

I've seen a lot of people fixing this issue by removing NetworkManager, however that is not where the problem is located. I have this problem on an Ubuntu Server install, without any X installed.

 sudo apt-get remove network-manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package network-manager is not installed, so not removed

The problem only happens occasionally, and lasts for 1-15 minutes before correcting itself.

Eric Swanson (eswanson) wrote :

I'm experiencing the same symptoms as Alexander Luksep.

I'm using 2.6.35-22-generic with an Intel PRO/Wireless 5100 AGN and the iwlagn module. On my busy University network, I can't connect at all. When I go into a smaller building with fewer people, I can sometimes connect to the same network with the same settings quickly; other times it takes a few minutes or fails totally.

This is a major pain, since this problem has gotten WORSE with each new Ubuntu install. I started with 9.04, in which I had no such issues. In 9.10, it happened occasionally. When I first installed 10.04, I could never connect here, but at some point it must have been fixed since it worked pretty good until yesterday when I installed 10.10.

Is anyone working on this?

Rasmus (rasmus-up) wrote :

I'm also experiencing the same symptoms as Alexander Luksep.

At school where the problem occurs I connect using WPA-Enterprise, PEAP and MSCHAPv2.

I'm using Ubuntu 10.04 with 2.6.32-25-generic and an Intel 5100 AGN wireless card.

rthrippleton (rt-launchpad) wrote :

I can reproduce this problem on an Eee 1001p associating with a WPA-PSK CCMP network. Not sure what the exact chipset is; atheros something.

However, I reckon it's a wpa-supplicant problem. At the right point in the associate/disassociate cycle I did a kill -STOP on wpa_supplicant, and the network stayed connected. Feels like wpa-supplicant is deliberately asking the interface to disassociate for some reason.

Marc Reichelt (mreichelt) wrote :

Maybe we are looking at the wrong software here. Could it be that this is a problem of wpa_supplicant instead? I attached the specific part of my syslog when the deauthentication occurs. For the first 6 lines everything's ok, though I believe the DHCP lease time of my university network is _way_ too small. But then on line 7 wpa_supplicant tells that it has started an authentication - which finally leads to a "wlan0: deauthenticating from 00:26:99:50:07:dc by local choice (reason=3)" on line 15 and the NetworkManager to reauthenticate.

It is actually funny that this bug seems to occur very often in the 'eduroam' university network - maybe the DHCP lease time is the trigger. I also encounter this problem at home but not so frequently. I will try to use a static IP on my university network today and write a comment on what happened.

I believe Marc is right. As stated earlier I do not have NetworkManager installed, and I still have this problem.

Currently I use wpa-driver nl80211 as my driver.

The last couple of days I've been using SSH a lot from work, to my server with this problem. The connection manages to stay alive, but it stops responding for a couple of minutes, about once an hour, although I have not managed to find a pattern.

Like Marc, I'll attach part of my syslog for inspection.

Sorry about the ugly attached file, please see the new one instead.

 I also think, that it is not a problem of network-manager.
I also have this problem, that the connection disassembles again while
trying to establish it (deauthenticating by local choice (reason=3)) But
I only observe this on a specific network. Windows computers and my
Android device can connect to it, only Ubuntu can't. Setting a static IP
address solves this problem and the connection works in my case.
I think, maybe the threshold for getting an IP address from the DHCP
server is set too small. In case you have a slow DHCP server it takes
maybe longer. If one would wait 500 miliseconds longer, you would get an
IP (this is maybe what the other devices do).
This network I speak from was not secured (open network). Uninstalling
network-manager did not solve the problem. I also tried to connect with
the shell tools.

On 19/10/10 10:46, Marc Reichelt wrote:
> Maybe we are looking at the wrong software here. Could it be that this
> is a problem of wpa_supplicant instead? I attached the specific part of
> my syslog when the deauthentication occurs. For the first 6 lines
> everything's ok, though I believe the DHCP lease time of my university
> network is _way_ too small. But then on line 7 wpa_supplicant tells that
> it has started an authentication - which finally leads to a "wlan0:
> deauthenticating from 00:26:99:50:07:dc by local choice (reason=3)" on
> line 15 and the NetworkManager to reauthenticate.
>
> It is actually funny that this bug seems to occur very often in the
> 'eduroam' university network - maybe the DHCP lease time is the trigger.
> I also encounter this problem at home but not so frequently. I will try
> to use a static IP on my university network today and write a comment on
> what happened.
>
> ** Attachment added: "syslog.txt"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/548992/+attachment/1701222/+files/syslog.txt
>

I do not believe that DHCP has anything to do with this problem, as I do not use DHCP, yet are experiencing the problem.

I've also included my /etc/network/interfaces file for inspection.

Alexander Luksep (a-luksep) wrote :

Yes, I too believe this is an issue with wpa_supplicant, based on some googling. For example I found another bug here on launchpad that seems to more accurately pinpoint the issue, however I have not had time to try any of the workarounds mentioned: https://bugs.launchpad.net/ubuntu/+source/wpasupplicant/+bug/429370

Marc Reichelt (mreichelt) wrote :

Just FYI: I tried to use a static IP in the last hours and detected several deauthentications. So I guess that DHCP is not a problem.
I also want to inform you that I tried to disable 11n and hardware scans (which, according to a colleague, could lead to problems on Intel networking hardware) - without any effect.

I have solved this problem in hardware.

My card (Intel 5300 AGN) has three ports for antennas. It is a 3-way MIMO setup, and therefore requires all three antennas to be attached in order to be fully effective. It shipped in my laptop with just one antenna attached.

My laptop had trouble connecting and staying connected to various universities' wifi networks (perhaps due to having a number of APs to choose from; they might also be MIMO (I don't know whether they are or not) and any n-networks. It showed these symptoms.

Thankfully, my laptop vendor was tracking down the problems and shipped me several antennas to try out. Two made things better but still not perfect; three was perfect and fixed the issues (even though they're currently poorly placed).

So check your wifi cards! Maybe it'll work for you too.

Stefan Hammer (j-4) wrote :

 I have an Intel 5100... but I think it won't support three antennas.
But I will try!

On 19/10/10 15:05, GiuseppeVerde wrote:
> I have solved this problem in hardware.
>
> My card (Intel 5300 AGN) has three ports for antennas. It is a 3-way
> MIMO setup, and therefore requires all three antennas to be attached in
> order to be fully effective. It shipped in my laptop with just one
> antenna attached.
>
> My laptop had trouble connecting and staying connected to various
> universities' wifi networks (perhaps due to having a number of APs to
> choose from; they might also be MIMO (I don't know whether they are or
> not) and any n-networks. It showed these symptoms.
>
> Thankfully, my laptop vendor was tracking down the problems and shipped
> me several antennas to try out. Two made things better but still not
> perfect; three was perfect and fixed the issues (even though they're
> currently poorly placed).
>
> So check your wifi cards! Maybe it'll work for you too.
>

Alexander Luksep (a-luksep) wrote :

Since the hardware (at least in my case) works perfectly under windows I cannot see how this would be solved, rather than circumvened, with other/additional hardware..

Joel Zimmerman (fr8capt) on 2010-10-26
description: updated
Joe (j-moudrik) on 2010-10-26
Changed in debian:
status: New → Confirmed
ricolai (ricolai) wrote :

I confirm this problem on an EeePC 1005PE, with wireless card Atheros 9285, driver ath9k, for various kernels from the ones used in lucid to the current one (2.6.35-23.25 from the kernel ppa) in maverick, on 2 different wifi networks (university networks) using WPA-Enterprise, PEAP, MSCHAPv2, and relying on DHCP.

Problem currently solved by "ipv6.disable=1" in grub

Pradeep (pradeep1288) wrote :

I recently upgraded my Ubuntu from 10.04 to 10.10. It looked great at first, but now its hurting me. Problem is I am loosing connection to my wireless connection at home frequently. Well restart of the system fixes the problem and I loose it after 10 minutes or so. These are the things are I tried:
1) Remove the wireless connection entry from the list and enter the wifi password again and reconnect.
This works for a while and again the same story, I loose connection. If i repeat the same thing next time it does not work.

Let me know if you need more details on this? Or a specific command to run which would help to investigate the issue here.

Saad (junk111970) wrote :

I am using 10.10 Netbook Remix and lost my wireless.

Here is what I did to fix it:

- Removed Network-manager (I may not have had to do this...keep reading) as recommended from above posts
- Installed wicd. This still did not work
- Then finally looked at /var/log/wicd/wicd.log and saw that wicd recommends using dhcpcd instead of dhcpclient.
- So I installed dhcpcd, rebooted
- Went into wicd network manager > preferences > external programs, and select dhcpd as dhcp client.

Successfully connected to wireless after this final step.

The reason why I hinted that it may not be a network manager issue is because of this final step, maybe dhcpcd also works with network manager? I haven't had a chance to investigate that further.

Marc Reichelt (mreichelt) wrote :

I disabled IPv6 on the grub bootline and the error is still there - so "ipv6.disable=1" does _not_ fix this problem!

AndyL (thelees-andy) wrote :

Yeah, that didn't work for me either.

iceblueirish (iceblueirish) wrote :

I hear this could occur if you are running torrents... even after stopping all torrents wifi willl not reconnect until reboot.

wicd does NOT WORK! either don't run torrents or only one at a time I hear it's actually if you're running too many (sometimes only 2!)...

Download full text (9.3 KiB)

I was able to reproduce this bug also with a livecd (both x64 and i386) on a
dell xps studio 1340 (atheros AR928X wireless chip) both with or without
ipv6.
Furthermore everytime I measured the time between one disassociaton and the
next one, I got, for every boot, a multiple of a certain quantity; I explain
it better:

boot number 1: looking at dmesg with "dmesg | grep reason" i have time
difference in the messages that
                       are always multiple of 120 (e.g. first deauth -
120sec - 2nd deatuh - 360sec - 3rd deauth -
                       120sec - 4th and so on)

boot number 2: same thing but with multiples of 16...

boot number 3: same thing but with multiples of some other number...

I really think there are few chanches to get this by chance ( for every boot
I monitored something like 20-30 deauth, and they were always following the
path). To me this really seems related to some timeout processes.
I wolud like to stress that this never happened with 9.04, 9.10 as far as I
remember, and that (but I this is more a feeling than a fact) the problem is
more likely to happen in areas with many wifi connections.

Strange thing to add, a friend of mine whit exactly the same hardware has
never had the problem and we never found the "deauthenticating by local
choice (reason=3)" message in his dmesg.

On Thu, Nov 4, 2010 at 11:37 AM, iceblueirish <email address hidden>wrote:

> I hear this could occur if you are running torrents... even after
> stopping all torrents wifi willl not reconnect until reboot.
>
> wicd does NOT WORK! either don't run torrents or only one at a time I
> hear it's actually if you're running too many (sometimes only 2!)...
>
> --
> Wireless connection frequently drops [deauthenticating by local choice
> (reason=3)]
> https://bugs.launchpad.net/bugs/548992
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
> Status in Debian GNU/Linux: Confirmed
> Status in Fedora: Unknown
>
> Bug description:
> Since about 8.04 or 8.10, perhaps when Ubuntu switched over to
> NetworkManager, my wireless connection has randomly dropped its association
> with the access point, about every ten minutes. For a while, the connection
> will just die, then it will be detected and NetworkManager will
> re-authenticate and re-associate.
>
> In Lucid Lynx, this problem is now much more frequent (often exactly every
> two or four minutes) and now Ubuntu does not report that the connection has
> dropped. Instead, it re-associates in the background, eventually connecting
> to the access point again, all behind the scenes. Thus, the only thing that
> has changed, aside from the greater frequency, is that Ubuntu now doesn't
> report that it has dropped the connection, which seems deceptive from
> previous versions.
>
> This may be the same bug as #429035, but my dmesg output is a bit
> different. This problem occurs primarily on a WPA2 Enterprise network, but
> the problem has occurred on other network security configurations as well.
>
> dmesg output after many instances of disconnects:
>
> [ 5423.541343] wlan0: deauthenticating from 00:26:cb:17:bd:4...

Read more...

Nobody can help us to solve this serious bug.

in ubuntu community delevopers exists somebody that can start a solution to this problem?

In my case wireless have follow informations:

Broadcast Network Name: Yes
Allow New Devices: New stations are allowed (automatically)
Security Mode: WPA-PSK
WPA-PSK Preshared Key: 64 ascii characters
WPA-PSK Encryption: TKIP+AES
WPA-PSK Version: WPA+WPA2

Network manager connect to wireless and after 15 minutes it's impossible to connect.
I need switch off wireless on my laptop via button wait 2-3 seconds, switch on wireless and after ubuntu reconnect.
After 15 minutes problem happen again every 15 minutes.

I developing in lamp zend server. It's impossibile work in this conditions..

Some solutions to this problem is required!

Waiting news to workaround, if a day some developer, team, ... wake up and solve this problem!

Download full text (34.5 KiB)

I searched in internet and I found follow information:

This error seems to be coming from the kernel, from net/mac80211/mlme.c. The values for this reason_code can be found in include/linux/ieee80211.h under enum ieee80211_reasoncode, and value 3 means “WLAN_REASON_DEAUTH_LEAVING” (which doesn’t say much).

Log when this disconnected happen is follow:
Nov 4 15:09:01 DELL-VOSTRO-1700 CRON[5302]: (root) CMD ( [ -x /usr/lib/php5/maxlifetime ] && [ -d /var/lib/php5 ] && find /var/lib/php5/ -type f -cmin +$(/usr/lib/php5/maxlifetime) -print0 | xargs -n 200 -r -0 rm)
Nov 4 15:13:13 DELL-VOSTRO-1700 kernel: [14149.294282] wlan0: deauthenticated from 00:14:7f:06:72:43 (Reason: 7)
Nov 4 15:13:13 DELL-VOSTRO-1700 wpa_supplicant[1130]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Nov 4 15:13:13 DELL-VOSTRO-1700 NetworkManager: <info> (wlan0): supplicant connection state: completed -> disconnected
Nov 4 15:13:13 DELL-VOSTRO-1700 NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Nov 4 15:13:15 DELL-VOSTRO-1700 wpa_supplicant[1130]: Trying to associate with 00:14:7f:06:72:43 (SSID='Famiglia Mazzotta' freq=2412 MHz)
Nov 4 15:13:15 DELL-VOSTRO-1700 NetworkManager: <info> (wlan0): supplicant connection state: scanning -> associating
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14151.630426] wlan0: direct probe to AP 00:14:7f:06:72:43 (try 1)
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14151.830086] wlan0: direct probe to AP 00:14:7f:06:72:43 (try 2)
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14151.833382] wlan0: direct probe responded
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14151.833392] wlan0: authenticate with AP 00:14:7f:06:72:43 (try 1)
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14152.030036] wlan0: authenticate with AP 00:14:7f:06:72:43 (try 2)
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14152.031901] wlan0: authenticated
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14152.031930] wlan0: associate with AP 00:14:7f:06:72:43 (try 1)
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14152.232580] wlan0: associate with AP 00:14:7f:06:72:43 (try 2)
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14152.235325] wlan0: RX AssocResp from 00:14:7f:06:72:43 (capab=0x411 status=0 aid=1)
Nov 4 15:13:15 DELL-VOSTRO-1700 kernel: [14152.235333] wlan0: associated
Nov 4 15:13:16 DELL-VOSTRO-1700 wpa_supplicant[1130]: Associated with 00:14:7f:06:72:43
Nov 4 15:13:16 DELL-VOSTRO-1700 NetworkManager: <info> (wlan0): supplicant connection state: associating -> associated
Nov 4 15:13:16 DELL-VOSTRO-1700 NetworkManager: <info> (wlan0): supplicant connection state: associated -> 4-way handshake
Nov 4 15:13:26 DELL-VOSTRO-1700 wpa_supplicant[1130]: Authentication with 00:14:7f:06:72:43 timed out.
Nov 4 15:13:26 DELL-VOSTRO-1700 wpa_supplicant[1130]: Failed to initiate AP scan.
Nov 4 15:13:26 DELL-VOSTRO-1700 NetworkManager: <info> (wlan0): supplicant connection state: 4-way handshake -> disconnected
Nov 4 15:13:26 DELL-VOSTRO-1700 NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Nov 4 15:13:26 DELL-VOSTRO-1700 kernel: [14162.310245] wlan0: deauthenticating from 00:14:7f:06:72:43 by local c...

Ubuntu installed on my laptop:

Linux DELL-VOSTRO-1700 2.6.32-25-server #45-Ubuntu SMP Sat Oct 16 20:06:58 UTC 2010 x86_64 GNU/Linux

ar (arjenmeijernl) wrote :

On a Dell Latitude D505 running Ubuntu 10.10 we can trigger this error by:
1. Downloading a file with Transmisson. Network stops within 2 minutes.
2. Downloading two Youtube files the same time. This is more randomly. A heavy workload seems to trigger a disconnect.

Before 10.10 we had no problems with the network connection.

Jeremy Nickurak (nickurak) wrote :

I get this issue without ever using transmission, or any other torrent
software.

same problem since several ubuntu version on my acer netbook. on the same machine the win xp works flawless. using broadcom wlan broadcom-wl-4.178.10.4 driver. tried ipv6 switch, wicd, ... nothing helps. i'm getting frustrated.

iceblueirish (iceblueirish) wrote :

Yep. Bittorrent transmissions, due to kernel build. I'm told we just have to tough it out. Is it possible to fix the kernel or put out a workaround or fix before the next distro?

GreyGeek (greygeek77) wrote :

I am running Kubuntu 10.4 on a Sony VAIO VGN-FW140E notebook which has an Intel Wifi Link 5100 chip. I have been using Kubuntu 10.4 since beta and I run wicd as the network manager.

About a month ago I began noticing that about every five minutes my browsing would pause. I would open a Konsole and ping google.com and get after a couple seconds each ping began returning. The browser began working again. A couple days ago the kernel was updated to 2.6.32-25-generic #45-Ubuntu SMP Sat Oct 16 19:52:42 UTC 2010 x86_64 GNU/Linux. Now the disconnects happen within a couple minutes after beginning browsing, regardless of the browser. I rebooted using the previous kernel but the disconnects continue, usually reason 2 or 3. After I reconnect using wicd I begin pinging google.com It always fails around the 46th ping, plus or minus a couple. After ping fails on google.com it won't even ping my localhost or 127.0.0.1.

Here is the work around I developed. I boot up my modem and wireless router. When they are stable I boot my notebook. After a couple minutes of browsing FireFox hangs. I close firefox. I open wicd and disconnect my access point BUT I DO NOT reboot my notebook. The I power cycle the modem and wireless. When they are stable I refresh wicd and click on my access point. It connects and stays connected.

So, just to let everybody know, I got tired of this problem. I switched jobs so I'm in front a computer all day again, and I couldn't stand not being able to ssh to my server at home reliably. I reinstalled the server with Ubuntu Server 8.04 LTS, and the problem went away. syslog know looks like it should. See attachment.

ar (arjenmeijernl) wrote :

I installed kernel 2.6.37 on a Dell Latitude 505. The wireless connection is stable. No problems anymore.

I used this kernel:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.37-rc1-maverick/

Download the two header files and the correct image file (32 or 64 bit). Install both header files first and the image as last. Ubuntu takes care of the rest like generating a new grub2 file. Just reboot. Problems are gone!

Kernel 2.6.37 does not give new problems on my machine. If you encounter problems on your machine, just remove the new kernel and reboot again.

Mtux (mtuxland-blogspot) wrote :
Download full text (8.4 KiB)

On my system the problem persist even with kernel 2.6.37-rc1-maverick

On Mon, Nov 15, 2010 at 12:16 PM, ar <email address hidden> wrote:

> I installed kernel 2.6.37 on a Dell Latitude 505. The wireless
> connection is stable. No problems anymore.
>
> I used this kernel:
>
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.37-rc1-maverick/<http://kernel.ubuntu.com/%7Ekernel-ppa/mainline/v2.6.37-rc1-maverick/>
>
> Download the two header files and the correct image file (32 or 64 bit).
> Install both header files first and the image as last. Ubuntu takes care
> of the rest like generating a new grub2 file. Just reboot. Problems are
> gone!
>
> Kernel 2.6.37 does not give new problems on my machine. If you encounter
> problems on your machine, just remove the new kernel and reboot again.
>
> --
> Wireless connection frequently drops [deauthenticating by local choice
> (reason=3)]
> https://bugs.launchpad.net/bugs/548992
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
> Status in Debian GNU/Linux: Confirmed
> Status in Fedora: Unknown
> Status in “linux” package in openSUSE: New
>
> Bug description:
> Since about 8.04 or 8.10, perhaps when Ubuntu switched over to
> NetworkManager, my wireless connection has randomly dropped its association
> with the access point, about every ten minutes. For a while, the connection
> will just die, then it will be detected and NetworkManager will
> re-authenticate and re-associate.
>
> In Lucid Lynx, this problem is now much more frequent (often exactly every
> two or four minutes) and now Ubuntu does not report that the connection has
> dropped. Instead, it re-associates in the background, eventually connecting
> to the access point again, all behind the scenes. Thus, the only thing that
> has changed, aside from the greater frequency, is that Ubuntu now doesn't
> report that it has dropped the connection, which seems deceptive from
> previous versions.
>
> This may be the same bug as #429035, but my dmesg output is a bit
> different. This problem occurs primarily on a WPA2 Enterprise network, but
> the problem has occurred on other network security configurations as well.
>
> dmesg output after many instances of disconnects:
>
> [ 5423.541343] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local
> choice (reason=3)
> [ 5425.134984] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local
> choice (reason=3)
> [ 5425.174916] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
> [ 5425.177083] wlan0: direct probe responded
> [ 5425.177087] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
> [ 5425.179379] wlan0: authenticated
> [ 5425.179399] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
> [ 5425.182881] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431
> status=0 aid=68)
> [ 5425.182884] wlan0: associated
> [ 5437.562165] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra =
> 00:26:cb:17:bd:41 tid = 0
> [ 5480.893417] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local
> choice (reason=3)
> [ 5482.475859] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local
> choice (reason=3)
> [ 5482.515034] w...

Read more...

Daniel Castro (castromd) wrote :

I'm also affected by this. It is really bad, and so annoying.
I have tried all suggestions here and nothing worked...

Still no word from any developers with a real workaround?

Adam Felson (adamf11) wrote :
Download full text (7.9 KiB)

I followed the recommendation from day 1 -- use wicd. works fine for
me and no dropouts.

On Tue, Nov 23, 2010 at 1:32 PM, Daniel Castro <email address hidden> wrote:
> I'm also affected by this. It is really bad, and so annoying.
> I have tried all suggestions here and nothing worked...
>
> Still no word from any developers with a real workaround?
>
> --
> Wireless connection frequently drops  [deauthenticating by local choice (reason=3)]
> https://bugs.launchpad.net/bugs/548992
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
> Status in Debian GNU/Linux: Confirmed
> Status in Fedora: Unknown
> Status in “linux” package in openSUSE: New
>
> Bug description:
> Since about 8.04 or 8.10, perhaps when Ubuntu switched over to NetworkManager, my wireless connection has randomly dropped its association with the access point, about every ten minutes. For a while, the connection will just die, then it will be detected and NetworkManager will re-authenticate and re-associate.
>
> In Lucid Lynx, this problem is now much more frequent (often exactly every two or four minutes) and now Ubuntu does not report that the connection has dropped. Instead, it re-associates in the background, eventually connecting to the access point again, all behind the scenes. Thus, the only thing that has changed, aside from the greater frequency, is that Ubuntu now doesn't report that it has dropped the connection, which seems deceptive from previous versions.
>
> This may be the same bug as #429035, but my dmesg output is a bit different.  This problem occurs primarily on a WPA2 Enterprise network, but the problem has occurred on other network security configurations as well.
>
> dmesg output after many instances of disconnects:
>
> [ 5423.541343] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
> [ 5425.134984] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
> [ 5425.174916] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
> [ 5425.177083] wlan0: direct probe responded
> [ 5425.177087] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
> [ 5425.179379] wlan0: authenticated
> [ 5425.179399] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
> [ 5425.182881] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=68)
> [ 5425.182884] wlan0: associated
> [ 5437.562165] iwlagn 0000:0b:00.0: iwl_tx_agg_start on ra = 00:26:cb:17:bd:41 tid = 0
> [ 5480.893417] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
> [ 5482.475859] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
> [ 5482.515034] wlan0: direct probe to AP 00:26:cb:17:bd:41 (try 1)
> [ 5482.517187] wlan0: direct probe responded
> [ 5482.517190] wlan0: authenticate with AP 00:26:cb:17:bd:41 (try 1)
> [ 5482.518636] wlan0: authenticated
> [ 5482.518651] wlan0: associate with AP 00:26:cb:17:bd:41 (try 1)
> [ 5482.522378] wlan0: RX AssocResp from 00:26:cb:17:bd:41 (capab=0x431 status=0 aid=68)
> [ 5482.522381] wlan0: associated
> [ 5508.093339] wlan0: deauthenticating from 00:26:cb:17:bd:41 by local choice (reason=3)
> [ 550...

Read more...

Daniel Castro (castromd) wrote :

@Adam Felson

Thanks!

I stand corrected. I had tried all recommendations but wicd.

Installed wicd and uninstalled network-manager. I connected and haven't had a reconnection for an hour, I've never seen my syslog so clean!

This is not and ideal fix for me... I don't like wicd and it lacks functionality I'll eventually need. Like vpn and ability to use my USB 3G modem (ppp0).

So this is a network-manager problem..... I thought it was a wpa_supplicant problem.

Like I stated in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/548992/comments/52 I did not have network-manager installed, yet I had the problem. The problem must be in wpa_supplicant

Parkaboy (uwe-helms) wrote :

Same Problem on Kubuntu 10.10 KDE 4.5.4, after 15 - 20 seconds the wifi disconnect. Wlan with Atheros PCI card (802.11n) and without networkmanager.
Sometimes rooter have to restart to get an normal connection to other wlan devices in the network. This behavior is not from the start, i think since the last kernel update (running on 2.6.35-24).

Paul Harvey (csirac2) wrote :

I had the same symptoms (deauthenticating from ... by local choice (reason=3)) and have managed to find a solution on a Thinkpad x61s using wlagn driver.

I had the exact same problem on Ubuntu 10.04 after an update, and then again after wasting hours going to 10.10.

Updating wpasupplicant to latest ppas didn't help (I have wpasupplicant_0.7.2-0ubuntu1~ind1+r2001+201009072031_amd64.deb and wpasupplicant_0.7.3-0ubuntu1_amd64.deb but seem to be running wpasupplicant_0.6.10-2_amd64.deb successfully).

Updating network-manager to latest ppas didn't help (I have network-manager_0.8-0ubuntu3.10.04.0~mtrudel~nm1_amd64.deb
network-manager_0.8.3+git.20101219t181118.e919218-0ubuntu1_amd64.deb but seem to be running network-manager_0.8.1+git.20100810t184654.ab580f4-0ubuntu2_amd64.deb successfully).

Using linux-image-2.6.37-11-generic from natty didn't help.

Disabling ipv6 didn't help.

Replacing dhcp3-client with an alternative didn't help.

Adding options iwlagn 11n_disable=1 11n_disable50=1 didn't help.

My problem was actually obvious, after running wicd and noticing I had two versions of my SID on the same channel. I did actually have a repeater at some stage, but had since removed it (and I'd forgotten this fact; it's been nearly a year since I touched my wireless setup).

I'd moved some router gear and somehow the repeater was now activated again (when it shouldn't have been), so now the "reason=3" makes sense - my thinkpad was roaming to the "new" AP, and then failing to get an IP address (or talk to the router).

I simply switched off the mis-configured, superfluous AP and now everything works properly after a couple of hours.

Paul Harvey (csirac2) wrote :

It's worth noting that in my case, the strange part is that the problem cropped up only days after the erroneous AP was turned on; and three other notebooks (heavy network users) on the premises had no problems (macos, windows, and ubuntu 10.04 on a thinkpad x200). Not that I expect my bad network environment to work correctly, just odd that the other PCs handled the situation without a problem.

Alberto Mardegan (mardy) wrote :

I've also seen this happening in my office: we have several WLAN access points with the same ESSID, and the wireless connection disconnects quite often, usually not lasting longer than one minute.
Restarting network manager while being connected to the WLAN worked for me:

initctl network-manager stop
initctl network-manager start

After this, the connection has been stable for days. But I tried this solution only once, so I'm not sure whether it works reliably or not.

UnNaturalHigh (unnaturalhigh) wrote :

I've also had this happen quite often, but only when I am in a busy wireless environment like my school or a cafe. Similar to Alberto my school has multiple AP's. Connecting really depends on how many people around seem to be using the wireless. When there is almost no one around me I can usually connect to the wireless network with only intermittent drops. Note that this does not happen in Windows 7. Sadly this problem cripples any sort of productivity in Ubuntu.

I have Ubuntu 10.10 installed with linux-backports-modules-wireless-maverick-generick. My wifi card is Intel 5100. As above I have tried disabling ipv6. Adding options iwlagn 11n_disable=1 11n_disable50=1, which didn't help. Whenever I can get around to loading Ubuntu again on a wired network I may attempt the Wicd instead of network manager. Unfortunately nowadays finding a wired network has become quite difficult.

I tried ipv6 fix, didn't work. Uninstalling network-manager and install wicd fixed problem for me :-)
I recommand installing wicd first before uninstalling network-manager, because after uninstalling network-manager you loose all connections (wired & wireless).

Alexander Luksep (a-luksep) wrote :

Have now given up and switched to using ndiswrapper and hey presto, it just works, every time, all the time, like it should!

This was after trying ipv6 fix, trying wicd and compiling newer drivers from ralink.
Using an eee 1000HE.

SoniC414 (sonic414) wrote :

[ 3977.937288] wlan0: deauthenticating from xx:xx:xx:xx:xx:xx by local choice (reason=3)
[ 3977.951221] cfg80211: Calling CRDA to update world regulatory domain
[ 3981.217812] wlan0: authenticate with xx:xx:xx:xx:xx:xx (try 1)
[ 3981.220110] wlan0: authenticated
[ 3981.220355] wlan0: associate with xx:xx:xx:xx:xx:xx(try 1)
[ 3981.222544] wlan0: RX AssocResp from xx:xx:xx:xx:xx:xx (capab=0x471 status=0 aid=1)
[ 3981.222550] wlan0: associated
[ 3981.231126] wlan0: deauthenticating from xx:xx:xx:xx:xx:xx by local choice (reason=3)
[ 3981.247623] cfg80211: Calling CRDA to update world regulatory domain
[ 3983.108612] eth0: no IPv6 routers present

Mine had the problem given above. Was using ubuntu with gnome and had no problems. When I tried KDE version of Sabayon - I couldn't connect.

I fixed the problem by enabling kde wallet manager. Seems like the password wasn't being cached locally without the use of a wallet. No idea why it happened, But now I could connect without using ndiswrapper.

papukaija (papukaija) on 2011-04-15
description: updated
tags: added: maverick
papukaija (papukaija) wrote :

Moving to wpa_supplicant since people report in comments that this is a wpa_supplicant bug. Marking as confirmed as this bug affects 75 people.

Changed in network-manager (Ubuntu):
status: New → Confirmed
affects: network-manager (Ubuntu) → wpasupplicant (Ubuntu)

My netbook (atheros) card on 32 bit 10.04 has no problems.

My laptop (intel 5100) card on 64 bit 10.04 can connect to wireless network but no internet data throughput following first post-install update.

Disabling network manager and installing wicd 'solved' the problem for me. Really would prefer 3G and VPN support through NM though.

Same problem for me:

[ 715.622759] wlan0: deauthenticated from 94:44:52:a8:03:0d (Reason: 3)
[ 715.630752] iwlagn 0000:44:00.0: Stopping AGG while state not ON or starting
[ 715.765821] cfg80211: All devices are disconnected, going to restore regulatory settings
[ 715.765831] cfg80211: Restoring regulatory settings
[ 715.765840] cfg80211: Calling CRDA to update world regulatory domain
[ 715.772672] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[ 715.772685] cfg80211: World regulatory domain updated:
[ 715.772688] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 715.772695] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 715.772701] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 715.772706] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 715.772712] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 715.772717] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 718.571121] wlan0: authenticate with 94:44:52:a8:03:0d (try 1)
[ 718.573362] wlan0: authenticated
[ 718.573517] wlan0: associate with 94:44:52:a8:03:0d (try 1)
[ 718.769443] wlan0: associate with 94:44:52:a8:03:0d (try 2)
[ 718.969277] wlan0: associate with 94:44:52:a8:03:0d (try 3)
[ 719.169073] wlan0: association with 94:44:52:a8:03:0d timed out
[ 731.269994] wlan0: authenticate with 94:44:52:a8:03:0d (try 1)
[ 731.272588] wlan0: authenticated
[ 731.272719] wlan0: waiting for beacon from 94:44:52:a8:03:0d
[ 731.330797] wlan0: beacon received
[ 731.387791] wlan0: associate with 94:44:52:a8:03:0d (try 1)
[ 731.406204] wlan0: RX AssocResp from 94:44:52:a8:03:0d (capab=0x11 status=0 aid=3)
[ 731.406211] wlan0: associated
[ 731.412812] cfg80211: Calling CRDA for country: US

I have (lshw)

-network
                description: Wireless interface
                product: Centrino Ultimate-N 6300
                vendor: Intel Corporation
                physical id: 0
                bus info: pci@0000:44:00.0
                logical name: wlan0
                version: 35
                serial: 00:24:d7:5e:8b:2c
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=iwlagn driverversion=2.6.38-8-generic firmware=9.221.4.1 build 25532 ip=192.168.1.1 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
                resources: irq:55 memory:d3300000-d3301fff

alex (aarw2) wrote :

I have had this bug on 5 machines multiple installs sine 9.04 through to 10.10. In all cases removing network manager and installing WICD solves it. This definitely a network manager problem because if both are installed I can see no networks on either NM or WICD but as soon as NM is removed all is OK

Dave Farley (djlfarley) wrote :

Just want to report that I had no problem on 10.10, after upgrading to 11.04 I had exactly the same issue.

Resolution for me was to remove NM and use WICD as per previous posts

mike-g2 (mikeg-utk) wrote :

I was having the same problem with ubuntu 10.04 on a ThinkPad X201 with an Intel 6000 chip. I tried sillyxone's (Comment #20) solution of creating a file
         /etc/modprobe.d/options.conf
and adding the line
        options iwlagn 11n_disable=1 11n_disable50=1

I then removed and then reloaded the module iwlagn. Doing this appears to have fixed my problem, thus avoiding the need to remove Network-Manager and installing WICD.

Yippie!

Matt (mhhennig) wrote :

Same here on a Thinkpad T500, tried the various fixes suggested but no improvement. Also tried various kernels, wicd, new firmware etc., and Windows connects just fine.

One thing I noticed is that the timeouts appear as soon as another machine is connected to the AP - it's fine as long as it's only this one.

I suspected networkmanager at first, but the problem seems to sit somewhere deeper.

Richard Sonnenfeld (pcardout) wrote :

I want to add support to the fix that involves removing network manager (network-manager-gnome),
Removing network manager worked for me.

Last night I upgraded from a working Ubuntu karmic koala installation to Ubuntu 10.04 LTS (lucid).

In the morning the wireless usb would not associate anymore.
I got the "dread message" in dmesg
wlan1: deauthenticating from xx:xx:xx:xx:xx:xx by local choice (reason 3)
[It is important to point out that this message made me suspicious because earlier in dmesg
it had shown the wireless associating and authenticating to the access point ... so I knew
that drivers were probably OK]

Here is how the adaptor identifies to lsusb
(Belkin Components Wireless G Plus MIMO Network Adapter)

Here is an excerpt from dmesg showing the drivers used.
[ 15.114787] Registered led device: rt73usb-phy0::radio
[ 15.114800] Registered led device: rt73usb-phy0::assoc
[ 15.114812] Registered led device: rt73usb-phy0::quality

But of course ... none of this was the problem.

The MOMENT that network-manager-gnome was deinstalled I was associated with the network
and could ping local computers. In my case, before I could get Google to work, I had to fix
resolv.conf.

I think if you are using DHCP you would not need this (and most of you are ... if you don't know what
it is, you definitely are!). However, I have a manually configured network and assigned ip addresses, and
of course network manager had been handling my resolv.conf. So after removing network manager
I had to add to resolv.conf the line

nameserver 10.0.134.1 (that's my nameserver ... not yours!)

Then it all worked.

 I kind of hate network manager ... it causes as many problems as it fixes.

Richard Sonnenfeld (pcardout) wrote :

I wanted to extend my last comment (104) in light of 102 and many others.

I removed network manager but did NOT install wicd. For a stationary installation with a permanent
connection, you just don't need a network manager of any kind. You can configure networks the old fashioned
way, by directly editing /etc/network/interfaces and /etc/resolv.conf. In fact, for fixed installations,
i think this is preferable ... there is less to go wrong. As you probably know, network manager itself
messes with resolv.conf. I don't know what wicd does, but it is often the case that more "modern" tools
mess with the text configuration files that are at the core of linux configurations. These GUI tools are convenient, but to the extent that they hide what is really going on, I find them a distraction.

From a bug fix point of view, the modprobe.d/options.conf fix is probably more illuminating, but for a user
who just wants to get going, I advocate getting rid of network manager. It has bit me before
and is often not necessary.

  This bug also affects me (reason=3 in syslog), and I can confirm that switching form DHCP to manual IP assignment (on the same router/network!) prevents disconnection. However the following still happens:

  If I disconnect in software for some other reason (mostly when I lot out or log in back, or sometimes when I need to switch off the wifi-router for some reason), I need to manually switch off the wireless (I usually use the "hardware switch" on my sony vaio) before I can connect back. Otherwise network manager icon just keeps suggesting that it is connecting, and it never gets form (that is, I keep see that rotating icon, but never gets to the signal icon).

PS: I am using Natty. Do I have to file a separate bug report or this one does the job?

Seth Forshee (sforshee) wrote :

I think it would be helpful here to collect logs with NetworkManager debug logging enabled. To do this, add the following lines to the end of /etc/NetworkManager/NetworkManager.conf:

[logging]
level=DEBUG

Then run 'sudo service network-manager restart' in a terminal. Now run 'tail -f -n 0 /var/log/syslog > syslog.txt', wait for the disconnect to happen, and press Ctrl-C to stop logging syslog and attach syslog.txt here. Thanks!

Yves Dorfsman (yves-zioup) wrote :

Here's the syslog extract with level=DEBUG in NetworkManager.

Note that I had a script running that pings the default router and log "yves: GOOD" or "yves: BAD" depending on the result of the ping (ping once with timeout of 1 second).

Yves Dorfsman (yves-zioup) wrote :

Because this looks like a bug we had with the Intel 3945 which we all wasted a lot of time with NetworkManager, I have also open a ticket with Intel:

http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2305

Yves Dorfsman (yves-zioup) wrote :

I am trying to re-compile the kernel to add the debug mode to the iwlagn module, but I am getting a version issue.

The original module shows:
vermagic: 2.6.38-8-generic SMP mod_unload modversions

and mine shows:
vermagic: 2.6.38.2 SMP mod_unload modversions

All I did was "apt-get source linux", then "make allmodconfig".

How can I make a module with version "2.6.38-8-generic SMP mod_unload modversions".

Thanks.

my syslog in att

mind you i added the '[logging] level=DEBUG ' in the /etc/NetworkManager/nm-system-settings.conf (since the NetwokManager.conf file was nowhere to be found)

grtz
Thijs

Seth Forshee (sforshee) wrote :

Thanks for the logs. I still don't see exactly what's happening. Something is triggering wpa_supplicant to reassociate, so let's add in additional wpa_supplicant logging as well. Open /usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service and change the line that reads:

  Exec=/sbin/wpa_supplicant -u -s

to

  Exec=/sbin/wpa_supplicant -u -s -dd

Then run 'sudo kill -TERM $(pgrep wpa_supplicant)' in a terminal. After that, as before, run 'tail -f -n 0 /var/log/syslog > syslog.txt', wait for the disconnect to happen, and press Ctrl-C to stop logging syslog and attach syslog.txt here. Thanks!

syslog with wpa_suppliant -u -s -dd in att
hope this helps (if not just let me know what else i can do)

grtz
Thijs

Seth Forshee (sforshee) wrote :

@thijz: Some of the information I was hoping to see didn't get captured in the log. Try capturing the log this way (with wpa_supplicant already having been started with -dd):

  1. Disable wirless
  2. Run 'tail -f -n 0 /var/log/syslog > syslog.txt'
  3. Enable wireless
  4. Once the wireless has dropped and reconnected, hit Ctrl-C and attach the log

hi Seth

i disabled/enabled the wifi using the hardware switch (hope that'a ok?)
log in att

L. Ross Raszewski (rraszews) wrote :

I have a data point to add: I'd experienced this bug in 9.10 and 10.04, but it seemed to go away with 10.10 (It recurred for me in 11.04, but that was on different hardware). However, earlier today my house suffered a momentary power interruption. My laptop (10.10 on a macbook) and wired router remained operational due to battery power, but the wireless access point power cycled causing a momentary loss of connection.

Since then, I've been experiencing the symptoms outlined in this bug, which had not previously occurred for me in 10.10

Seth Forshee (sforshee) wrote :

@thijz: What your logs seem to show is a couple of instances of jumping between two APs on the same network. That's the only cause I see of disconnecting from a BSSID. I'm not familiar enough with wpa_supplicant to know what criteria it uses for switching, presumably something to do with signal strength, but the logs aren't really showing any data about the scan results to let us compare between the APs.

L. Ross Raszewski (rraszews) wrote :

Just discovered something. Since my issue returned after an absence during a power hit, I wondered if it could be a bug in how power-saving features affect the wireless device. After running "iwconfig wlan0 power off", I have not had any more disconnections. I'm wondering if the power management features are causing the wireless device to reduce the transmitter power or be more aggressive in looking to see if a better access point is available.

some more info :
- i am experiencing these reconnects when i am sitting at my desk, so i'm not moving (and neither are the AP's i think ;-)
- i have seen this happen while i'm working on my laptop, so my laptop is not going to sleep/standby/powersave at that moment

is there a possibility to see the powersave mode (a log?) together with the logging we already have ?

just tested the following to make sure that there is no power save kicking in
- i started a simple 1-sec interval ping from my wlan adapter to google (ping -I wlan0 www.google.com -i 1)
- since my wlan connection is active BUT my laptop is also connected to our network via a wired connection (via the dock) i got no response to the ping (the wired connection has priority over the wlan i guess)
- i disconnected the wired connection
- after a minute or so i saw the first 'reason=3' disconnect
- the ping shows a longer response time at the time of disconnect, and only sometimes a 'destination host unreachable'

so since there is constant activity on my wlan interface and i still get the disconnects, i think this issue is not related to powersave

anything else i can try ?

Seth Forshee (sforshee) wrote :

thijz: If you want to test disabling powersave, you should run 'iwconfig <interface> power off'. I don't know that simply trying to keep the network busy is enough to conclude that your issues aren't related to powersave.

i can also confirm that the disconnects stop when you issue the 'iwconfig wlan0 power off' command

mehturt (mehturt) wrote :

power off seems to fix lots of wireless issues..
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/201306

what are the default iwconfig power settings ?
how does switching power off affect the battery life ?

Well, if the driver's power management causes issues with disconnection, then I think we've established this isn't an issue with wpasupplicant; so marking this Invalid.

Were these issues on battery or with power connected? pm-utils may be causing issues by turning on power management when a laptop drops from main to battery power.

Changed in wpasupplicant (Ubuntu):
status: Confirmed → Invalid
Seth Forshee (sforshee) wrote :

thijz: We have powersave enabled in the kernel by default. I don't know what kind of difference in battery life you'll see by disabling it, you'll just have to try it and see I guess.

Wireless powersave is a cooperative arrangement between the card and the AP, and it's known that some APs have problems with powersave mode that lead to dropped connections. If you only see this issue on one or a limited number of networks, it may be an AP problem, in which case it may be worth investigating whether a firmware update is available or if you can disable support in the AP. Otherwise I think that you can disable powersave permanently by adding a script to execute the iwconfig command in /etc/network/if-up.d (I haven't tested this myself though).

Seth Forshee (sforshee) wrote :

I just noticed that the original reporter of this bug indicated that his problems were fixed over a year ago. Therefore I'm marking this bug fixed. Those of you still experiencing connection drops should open new bugs, probably based on the model of your wireless adapter. I.e., if you can't find a bug with the same symptoms and wireless adapter model that you have, please open a new bug. If we later find the problem really is the same as another bug we can always mark it as a duplicate.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
Yves Dorfsman (yves-zioup) wrote :

Same here, "iwconfig wlan0 power off" solved the issue with the problematic APs.

L. Ross Raszewski :

I had created a bug report with Intel:

http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2305

Do you want to update it with your findings, or do you want me to do it?

@Mathieu : i have the disconnects both running on AC and on battery power
@Seth : fyi i'm using a thinkpad (W510, core i7) and all the AP's are cisco

do i understand correctly that i should open a ticket for the specific combination of my type of wlan adapter and the the type of AP in my company ??? is this for real ??
this means that there must (or should) exist a ton of tickets out there ...

i'll check what type of wlan adapter i have (currently working on another pc so cant check right now) and see if i can find a ticket for it. is there a way to determine the type of AP used without asking IT ? (i can already see the look on their faces when i tell them why i need to know this ... i'll probably get nothing more that a 'huh ?' ;-)

Seth Forshee (sforshee) wrote :

thijz: Not one ticket per wlan adapter/AP combo, just one ticket per wlan adapter. Otherwise we end up with bugs that represent a multitude of different problems with similar symptoms. That's what has happened with this one.

If the problem is specific to an AP then the problem may be with the AP, in which case there probably isn't much we can do. I don't know of any way to determine the type of AP remotely, and really what's probably a better test is using the device on a variety of networks and seeing if you have problems consistently or only with one particular network.

Daniel Hershcovich (daniel-h) wrote :

I was also affected by this problem (disconnects and frequent prompts for wireless authentication), and installing Wicd instead of Network Manager fixed it.

David Navarro (dnbelmonte) wrote :

When I put the command "iwconfig wlan0 power off", appears this message:

Error for wireless request "Set Power Management" (8B2C) :
    SET failed on device wlan0 ; Operation not supported.

I have ubuntu 11.04

any idea?

thanks a lot,

I thought my problem was fixed by installing WICD instead of Network Manager, but disabling power management did the trick! :-)

dennis@dennis-netbook:~$ sudo iwconfig wlan0 power off
dennis@dennis-netbook:~$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wlan0 IEEE 802.11bgn ESSID:"ddwrt"
          Mode:Managed Frequency:2.437 GHz Access Point: 00:1C:10:AA:CE:46
          Bit Rate=54 Mb/s Tx-Power=13 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=41/70 Signal level=-69 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:745 Missed beacon:0

Thomas (t-hartwig) wrote :

Anybody an idea how to persist the powermanagement off solution?

Hi Thomas,

The option is persisted between reboots directly as far as i know.
No need to add line to some start-up script.
Can you try it?

Kind regards,

Dennis

Thomas (t-hartwig) wrote :

Thanks Dennis, indeed it kept off.

Anton (antoskail) wrote :

Same problem - WiFi reconnects all the time. I have found the problem after access-point reconfiguration and updates. Unfortunately I can't reproduce previous state.
Kernel 2.6.32-36-generic
Ubuntu 10.04.3 LTS
on Dell E6500

Solved similar to comment #20
except, I don't have "options.conf" in "/etc/modprobe.d/"

So, in file
         /etc/modprobe.d/alsa-base.conf
I have added the line
        options iwlagn 11n_disable=1 11n_disable50=1

Paul Smith (psmith-gnu) wrote :

I have this same problem (Ubuntu 11.10, dual-boot installation via Wubi, on a Samsung laptop--not sure of the model but it's brand new). lshw shows this for my wireless device:

                description: Wireless interface
                product: Centrino Advanced-N 6230
                vendor: Intel Corporation
                physical id: 0
                bus info: pci@0000:01:00.0
                logical name: wlan0
                version: 34
                serial: 88:53:2e:67:ea:85
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=iwlagn driverversion=3.0.0-12-generic firmware=17.168.5.1 build 33993 ip=192.168.1.108 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
                resources: irq:42 memory:c0500000-c0501fff

Disabling the power management via iwconfig seems to solve the problem. However, this is NOT persistent. When I reboot, it's set back to "on" and I get power issues.

I tried adding a script to /etc/network/if-pre-up.d that turned off power management, but that script was never being invoked (I added an echo to a file in /tmp which never showed up). I don't know why that script is not invoked??

I moved it to /etc/network/if-up.d and now it seems to work (although it takes a long time for me to get my first wireless connection, I think because the power management is not disabled until after the first connection).

Also, after rebooting a few times testing this out, my wireless got into some strange state where it would NEVER connect, and just continued to ask me for the wireless password (even though it already knew the right password). I rebooted into Windows, then back to Ubuntu, and so far it's been OK and the wireless is stable.

I really wonder why my pre-up scripts are not being invoked, though: I think if I could disable the power management before trying to bring up the interface I could connet

Matt (mhhennig) wrote :

Yes, that's it, turning wlan power management off solves the problem on a Thinkpad T500.

It is automatically enabled again though when I go to battery, but I have not yet been able to locate the relevant script (ubuntu 11.10). Anybody knows?

RedCow (redcow) wrote :

My dmesg looking like this:

[48754.543729] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[48754.752857] r8169 0000:02:00.0: eth0: link down
[48754.753212] ADDRCONF(NETDEV_UP): eth0: link is not ready
[48755.006093] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[48757.616276] wlan0: deauthenticating from 00:27:22:2e:a4:62 by local choice (reason=3)
[48757.650319] wlan0: authenticate with 00:27:22:2e:a4:62 (try 1)
[48757.652508] wlan0: authenticated
[48757.672121] wlan0: associate with 00:27:22:2e:a4:62 (try 1)
[48757.872078] wlan0: associate with 00:27:22:2e:a4:62 (try 2)
[48758.072074] wlan0: associate with 00:27:22:2e:a4:62 (try 3)
[48758.272071] wlan0: association with 00:27:22:2e:a4:62 timed out
[48790.756833] wlan0: authenticate with 00:27:22:2e:a4:62 (try 1)
[48790.758774] wlan0: authenticated
[48790.758832] wlan0: associate with 00:27:22:2e:a4:62 (try 1)
[48790.761998] wlan0: RX AssocResp from 00:27:22:2e:a4:62 (capab=0x431 status=0 aid=1)
[48790.762006] wlan0: associated
[48790.762598] ADDRCONF(NETDEV_CHANGE): drops wlan0: link becomes ready
[48792.917396] wlan0: deauthenticating from 00:27:22:2e:a4:62 by local choice (reason=3)
[48792.939219] cfg80211: All devices are disconnected, going to restore regulatory settings
[48792.939231] cfg80211: Restoring regulatory settings
[48792.939263] cfg80211: Calling CRDA to update world regulatory domain
[48792.951931] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[48792.951952] cfg80211: World regulatory domain updated:

Seems, like network manager drops not only wireless, but wired connection too

Only manual reconnecting in network-manager (somtimes more then once) helps.

Linux s205 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 athlon i386 GNU/Linux
access-point is NanoStation Loco m2
03:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
Linux Mint 11 Katya

RedCow (redcow) wrote :

Found solution here:
http://azitech.wordpress.com/2010/02/22/deauthenticating-reason3/

killing wpa_supplicant helps. Daemon immediately resurrects and connection becoming stable.

Dean McLennan (dgmclennan) wrote :

Setting the BSSID in network-manager has stabilized the deauths (ath9k) You can also try Wicd as some have had positive results as well.

Kaspars (stiebrs) wrote :
Download full text (4.2 KiB)

Same here :
kernel 2.6.32-5-686
wpasupplicant 0.6.10-2.1
eth1: Broadcom BCM4315 802.11 Hybrid Wireless Controller 5.60.48.36

Feb 15 14:09:42 longitude wpa_supplicant[1576]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Feb 15 14:09:42 longitude NetworkManager[1541]: <info> (eth1): supplicant connection state: completed -> disconnected
Feb 15 14:09:42 longitude NetworkManager[1541]: <info> (eth1): supplicant connection state: disconnected -> scanning
Feb 15 14:09:45 longitude dhclient: Internet Systems Consortium DHCP Client 4.1.1-P1
Feb 15 14:09:45 longitude dhclient: Copyright 2004-2010 Internet Systems Consortium.
Feb 15 14:09:45 longitude dhclient: All rights reserved.
Feb 15 14:09:45 longitude dhclient: For info, please visit https://www.isc.org/software/dhcp/
Feb 15 14:09:45 longitude dhclient:
Feb 15 14:09:45 longitude dhclient: Listening on LPF/eth1/00:23:4e:ab:8d:00
Feb 15 14:09:45 longitude dhclient: Sending on LPF/eth1/00:23:4e:ab:8d:00
Feb 15 14:09:45 longitude dhclient: Sending on Socket/fallback
Feb 15 14:09:45 longitude dhclient: DHCPRELEASE on eth1 to 172.19.8.1 port 67
Feb 15 14:09:45 longitude avahi-daemon[1487]: Withdrawing address record for 192.168.1.75 on eth1.
Feb 15 14:09:45 longitude avahi-daemon[1487]: Leaving mDNS multicast group on interface eth1.IPv4 with address 192.168.1.75.
Feb 15 14:09:45 longitude avahi-daemon[1487]: Interface eth1.IPv4 no longer relevant for mDNS.
Feb 15 14:09:45 longitude dhclient: receive_packet failed on eth1: Network is down
Feb 15 14:09:45 longitude wpa_supplicant[1576]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Feb 15 14:09:45 longitude NetworkManager[1541]: <info> (eth1): supplicant connection state: scanning -> disconnected
Feb 15 14:09:45 longitude dhclient: Internet Systems Consortium DHCP Client 4.1.1-P1
Feb 15 14:09:45 longitude dhclient: Copyright 2004-2010 Internet Systems Consortium.
Feb 15 14:09:45 longitude dhclient: All rights reserved.
Feb 15 14:09:45 longitude dhclient: For info, please visit https://www.isc.org/software/dhcp/
Feb 15 14:09:45 longitude dhclient:
Feb 15 14:09:45 longitude dhclient: Listening on LPF/eth0/00:21:9b:e0:44:5a
Feb 15 14:09:45 longitude dhclient: Sending on LPF/eth0/00:21:9b:e0:44:5a
Feb 15 14:09:45 longitude dhclient: Sending on Socket/fallback
Feb 15 14:09:45 longitude dhclient: DHCPRELEASE on eth0 to 193.40.5.35 port 67
Feb 15 14:09:45 longitude dhclient: send_packet: Network is unreachable
Feb 15 14:09:45 longitude dhclient: send_packet: please consult README file regarding broadcast address.
Feb 15 14:09:45 longitude kernel: [13853.020452] tg3 0000:09:00.0: irq 29 for MSI/MSI-X
Feb 15 14:09:46 longitude NetworkManager[1541]: <info> (eth1): roamed from BSSID 00:0E:8E:7A:32:08 (ap11g) to (none) ((none))
Feb 15 14:09:48 longitude NetworkManager[1541]: <info> (eth1): supplicant connection state: disconnected -> scanning
Feb 15 14:09:53 longitude wpa_supplicant[1576]: Trying to associate with 00:0e:8e:7a:32:08 (SSID='ap11g' freq=2437 MHz)
Feb 15 14:09:53 longitude NetworkManager[1541]: <info> (eth1): supplicant connection state: scanni...

Read more...

Thomas Schweikle (tps) wrote :

Same for oneiric and precise. Both are not able to build up a working WLAN connection.
None of the workarounds mentioned works for both of them.

Thomas Schweikle (tps) wrote :

wicd does not run with oneiric or precise (seems not to be worked on any more since 2010).
Adding ip6.disable=1 to kernel command line doesn't have any effect.
Adding various parameters to iwlxxxx-modules doesn't have any effect.

Thomas Schweikle (tps) wrote :

Looks like Network Manager is badly broken using any WLAN module.

Networking does work with:
- eth0, usb0

It does not work using:
- wlan0

Thomas Schweikle (tps) wrote :

Since a fix was released (according to the bug reports state), and the bug is there again, I suppose it a regression with oneiric and precise!

Matt (mhhennig) wrote :

As I said earlier, this problem is clearly linked to power management.

Type

iwconfig wlan0 power off

and the problem is gone!

So it's probably a kernel issue.

Thomas Schweikle (tps) wrote :

The bug seems related to various errors never reported by NetworkManager:

For WLAN:
authentication is perfect. Communication too, but the connection is terminated because of Reason 3 (whatever this means).
In between the connection is assigned an IP address. Doing:
dhclient wlan0
shortly later the connection is functional and up for hours! But: dhclient throws two error messages.

For USB:
All working, IP is assigned, then deassigned again. No error messages logged. Doing:
dhclient usb0
shortly later the connection is up and running, but dhclient throws two error messages.

I had a look at NetworkManager to find out why no errors are reported --- quite simple: NetworkManager just ignores them, but deconfigures the interface.

The error messages thrown by dhclient:
# dhclient wlan0
Rather than invoking init scripts through /etc/init.d, use the service(8)
utility, e.g. service smbd reload

Since the script you are attempting to invoke has been converted to an
Upstart job, you may also use the reload(8) utility, e.g. reload smbd
RTNETLINK answers: File exists
/etc/dhcp/dhclient-script: line 40: local: `new_resolv.dhcp': not a valid identifier
/etc/dhcp/dhclient-script: line 46: new_resolv.dhcp=/etc/resolv.dhcp.dhclient-new: No such file or directory

I did not look deep enough to find out what "dhclient" is calling while initializing the interface. At least: an IP-address is assigned and the connection is working.

Thomas Schweikle (tps) wrote :

@Matt:
# iwconfig wlan0 power off
Error for wireless request "Set Power Management" (8B2C) :
    SET failed on device wlan0 ; Operation not supported.

Thomas Schweikle (tps) wrote :

Looks like this is what we see if there are a bundle of errors at very different places, but the main software (NetworkManager) doesn't report them the way it should do -- ignoring some of them, while acting on others, but for none of them giving back useful information.

In my opinion: NetworkManager was a badly written peace of software. -- And this hasn't changed since. But all rely on this stuff, because all concurrent projects have died or are not worked anymore on.

Thomas Schweikle (tps) wrote :

# iwconfig
[...]
wlan0 IEEE 802.11abg ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:off
[...]

I've removed the various other interface lines.

Matt (mhhennig) wrote :

On Sun, 2012-03-04 at 16:15 +0000, Thomas Schweikle wrote:
> # iwconfig
> [...]
> wlan0 IEEE 802.11abg ESSID:off/any
> Mode:Managed Access Point: Not-Associated Tx-Power=15 dBm
> Retry long limit:7 RTS thr:off Fragment thr:off
> Encryption key:off
> Power Management:off

I see, this looks ok. In my case it is different, it is clearly the
power management, this is 100% reproducible (on a Thinkpad T500, kernel
3.1.6).

This bug was closed as Fixed Released -- this means we believe the problem was truly found and corrected. If you're still running into issues, please make sure you file a new, separate bug for your own hardware, using the 'ubuntu-bug linux' command; this will file a new bug in Launchpad which the developers will be able to mark as duplicate if necessary. Thanks!

Thomas Hood (jdthood) wrote :

@sillyxone, @Rasmus, @ricolai: You mentioned that you only have a problem with WPA-Enterprise. Please see bug #1020775.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.